import { Component, Injectable, Input, NgModule, Optional, SkipSelf } from '@angular/core';
import { AlertController, IonicModule, LoadingController, NavController, NavParams } from 'ionic-angular';
import { IonicStorageModule, Storage } from '@ionic/storage';
import { Store, StoreModule } from '@ngrx/store';
import SHA256 from 'sha256-es';
import { FormBuilder, Validators } from '@angular/forms';
import { CommonModule } from '@angular/common';
import { Actions, Effect, EffectsModule } from '@ngrx/effects';
import 'rxjs/add/operator/do';
import 'rxjs/add/observable/of';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/switchMap';
import 'rxjs/add/operator/withLatestFrom';
import { Observable } from 'rxjs/Rx';
import { Observable as Observable$1 } from 'rxjs/Observable';
import { Headers, Http, HttpModule, RequestOptions, XHRBackend } from '@angular/http';
import 'rxjs/add/observable/throw';

/**
 * Generated class for the loginpagePage page.

See http://ionicframework.com/docs/components/#navigation for more info
on Ionic pages and navigation.
 */
var LoginPage = /** @class */ (function () {
    /**
     * @param {?} navCtrl
     * @param {?} navParams
     */
    function LoginPage(navCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
    }
    /**
     * @return {?}
     */
    LoginPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad loginpagePage');
    };
    LoginPage.decorators = [
        { type: Component, args: [{
                    selector: 'page-loginpage',
                    template: "<headercomponent></headercomponent> <ion-content scroll=\"false\" class=\"main_container\"> <usernamecomponent></usernamecomponent>  </ion-content>",
                },] },
    ];
    /**
     * @nocollapse
     */
    LoginPage.ctorParameters = function () { return [
        { type: NavController, },
        { type: NavParams, },
    ]; };
    return LoginPage;
}());

var GET_AUTH_META_DATA = '[Login] Get Auth Meta Data';
var GET_AUTH_META_DATA_SUCCESS = '[Login] Get Auth Meta Data Success';

var SUBMIT_USERNAME_TYPE = '[Login] Submit username';
var SUBMIT_USERNAME_TYPE_SUCCESS = '[Login] Submit username Success';

var SUBMIT_LOGINFORM_OTP_TYPE = '[Login] Submit LoginOtpform';
var SUBMIT_LOGINFORM_OTP_TYPE_SUCCESS = '[Login] Submit LoginOtpform Success';


var GET_SESSION_DATA = '[Login] Get Sessions List';
var GET_SESSION_SUCCESS = '[Login] Get Sessions List Success';
var POST_SESSION_DATA = '[Login] post Sessions List';
var POST_SESSION_SUCCESS = '[Login] post Sessions List Success';

var SUBMIT_MULTICHALLENGE_FORMTYPE = '[Login] Submit LoginMultiform';
var SUBMIT_MULTICHALLENGE_FORMTYPE_SUCCESS = '[Login] Submit LoginMultiform Success';

var LOAD_CAPTCHA_IMAGE = 'Load Captcha';
var LOAD_CAPTCHA_IMAGE_SUCCESS = 'Load Captcha Success';
var GET_CHALLENGE_DATA = '[Login] Get Challenge List';
var GET_CHALLENGE_DATA_SUCCESS = '[Login] Get Challenge List Success';
var GET_PREDEFINED_DATA = '[Login] Get Predefined List';
var GET_PREDEFINED_DATA_SUCCESS = '[Login] Get Predefined List Success';
var GET_CHALLENGE_STATUS_DATA = '[Login] Get Challenge Status List';
var GET_CHALLENGE_STATUS_DATA_SUCCESS = '[Login] Get Challenge Status List Success';
var STORE_LOGGED_USER_ID = '[Login] Storing logged user id in state';
var GetAuthMetaDataAction = /** @class */ (function () {
    function GetAuthMetaDataAction() {
        this.type = GET_AUTH_META_DATA;
    }
    return GetAuthMetaDataAction;
}());
var GetAuthMetaDataSucessAction = /** @class */ (function () {
    /**
     * @param {?} payload
     */
    function GetAuthMetaDataSucessAction(payload) {
        this.payload = payload;
        this.type = GET_AUTH_META_DATA_SUCCESS;
    }
    return GetAuthMetaDataSucessAction;
}());
var SubmitUsernameAction = /** @class */ (function () {
    /**
     * @param {?} payload
     */
    function SubmitUsernameAction(payload) {
        this.payload = payload;
        this.type = SUBMIT_USERNAME_TYPE;
    }
    return SubmitUsernameAction;
}());
var SubmitUsernameSuccessAction = /** @class */ (function () {
    /**
     * @param {?} payload
     */
    function SubmitUsernameSuccessAction(payload) {
        this.payload = payload;
        this.type = SUBMIT_USERNAME_TYPE_SUCCESS;
    }
    return SubmitUsernameSuccessAction;
}());
var SubmitLoginOtpformAction = /** @class */ (function () {
    /**
     * @param {?} payload
     */
    function SubmitLoginOtpformAction(payload) {
        this.payload = payload;
        this.type = SUBMIT_LOGINFORM_OTP_TYPE;
    }
    return SubmitLoginOtpformAction;
}());
var SubmitLoginformOtpSuccessAction = /** @class */ (function () {
    /**
     * @param {?} payload
     */
    function SubmitLoginformOtpSuccessAction(payload) {
        this.payload = payload;
        this.type = SUBMIT_LOGINFORM_OTP_TYPE_SUCCESS;
    }
    return SubmitLoginformOtpSuccessAction;
}());
var SubmitLoginMultiformAction = /** @class */ (function () {
    /**
     * @param {?} payload
     */
    function SubmitLoginMultiformAction(payload) {
        this.payload = payload;
        this.type = SUBMIT_MULTICHALLENGE_FORMTYPE;
    }
    return SubmitLoginMultiformAction;
}());
var SubmitLoginformMultiSuccessAction = /** @class */ (function () {
    /**
     * @param {?} payload
     */
    function SubmitLoginformMultiSuccessAction(payload) {
        this.payload = payload;
        this.type = SUBMIT_MULTICHALLENGE_FORMTYPE_SUCCESS;
    }
    return SubmitLoginformMultiSuccessAction;
}());
var GetsessionsAction = /** @class */ (function () {
    function GetsessionsAction() {
        this.type = GET_SESSION_DATA;
    }
    return GetsessionsAction;
}());
var GetSessionsSucessAction = /** @class */ (function () {
    /**
     * @param {?} payload
     */
    function GetSessionsSucessAction(payload) {
        this.payload = payload;
        this.type = GET_SESSION_SUCCESS;
    }
    return GetSessionsSucessAction;
}());
var PostSessionAction = /** @class */ (function () {
    /**
     * @param {?} payload
     */
    function PostSessionAction(payload) {
        this.payload = payload;
        this.type = POST_SESSION_DATA;
    }
    return PostSessionAction;
}());
var PostSessionSuccessAction = /** @class */ (function () {
    /**
     * @param {?} payload
     */
    function PostSessionSuccessAction(payload) {
        this.payload = payload;
        this.type = POST_SESSION_SUCCESS;
    }
    return PostSessionSuccessAction;
}());
var GetChallengeDataAction = /** @class */ (function () {
    function GetChallengeDataAction() {
        this.type = GET_CHALLENGE_DATA;
    }
    return GetChallengeDataAction;
}());
var GetChallengeDataSucessAction = /** @class */ (function () {
    /**
     * @param {?} payload
     */
    function GetChallengeDataSucessAction(payload) {
        this.payload = payload;
        this.type = GET_CHALLENGE_DATA_SUCCESS;
    }
    return GetChallengeDataSucessAction;
}());
var GetPredefinedDataAction = /** @class */ (function () {
    function GetPredefinedDataAction() {
        this.type = GET_PREDEFINED_DATA;
    }
    return GetPredefinedDataAction;
}());
var GetPredefinedSucessAction = /** @class */ (function () {
    /**
     * @param {?} payload
     */
    function GetPredefinedSucessAction(payload) {
        this.payload = payload;
        this.type = GET_PREDEFINED_DATA_SUCCESS;
    }
    return GetPredefinedSucessAction;
}());
var GetChallengeStatusDataAction = /** @class */ (function () {
    function GetChallengeStatusDataAction() {
        this.type = GET_CHALLENGE_STATUS_DATA;
    }
    return GetChallengeStatusDataAction;
}());
var GetChallengeStatusSucessAction = /** @class */ (function () {
    /**
     * @param {?} payload
     */
    function GetChallengeStatusSucessAction(payload) {
        this.payload = payload;
        this.type = GET_CHALLENGE_STATUS_DATA_SUCCESS;
    }
    return GetChallengeStatusSucessAction;
}());
var LoadCaptchaImage = /** @class */ (function () {
    function LoadCaptchaImage() {
        this.type = LOAD_CAPTCHA_IMAGE;
    }
    return LoadCaptchaImage;
}());
var LoadCaptchaImageSuccess = /** @class */ (function () {
    /**
     * @param {?} payload
     */
    function LoadCaptchaImageSuccess(payload) {
        this.payload = payload;
        this.type = LOAD_CAPTCHA_IMAGE_SUCCESS;
    }
    return LoadCaptchaImageSuccess;
}());
var StoreLoggedUserIdAction = /** @class */ (function () {
    /**
     * @param {?} payload
     */
    function StoreLoggedUserIdAction(payload) {
        this.payload = payload;
        this.type = STORE_LOGGED_USER_ID;
    }
    return StoreLoggedUserIdAction;
}());

var initialState = {
    username: null,
    loading: false,
    authMetaData: null,
    usernameData: null,
    loginOtpformData: null,
    loginOtpform: null,
    loginMultiform: null,
    loginMultiformData: null,
    sessions: null,
    sessionData: null,
    postsession: null,
    postsessionData: null,
    challengeQuestions: null,
    challengeQuestionsData: null,
    challengeStatus: null,
    challengeStatusData: null,
    predefined: null,
    predefinedData: null,
    captchaImage: null,
    loggedUserId: ""
};
/**
 * @param {?=} state
 * @param {?=} action
 * @return {?}
 */
function LoginReducers(state, action) {
    if (state === void 0) { state = initialState; }
    switch (action.type) {
        case GET_AUTH_META_DATA:
            return Object.assign({}, state, { loading: true, loaded: false });
        case GET_AUTH_META_DATA_SUCCESS:
            return Object.assign({}, state, { authMetaData: action.payload, loading: false });
        case SUBMIT_USERNAME_TYPE:
            return Object.assign({}, state, { username: action.payload, loading: true });
        case SUBMIT_USERNAME_TYPE_SUCCESS:
            return Object.assign({}, state, { usernameData: action.payload, loading: false });
        case SUBMIT_LOGINFORM_OTP_TYPE:
            return Object.assign({}, state, { loginOtpform: action.payload, loading: true });
        case SUBMIT_LOGINFORM_OTP_TYPE_SUCCESS:
            return Object.assign({}, state, { loginOtpformData: action.payload, loading: false });
        case SUBMIT_MULTICHALLENGE_FORMTYPE:
            return Object.assign({}, state, { loginMultiform: action.payload, loading: true });
        case SUBMIT_MULTICHALLENGE_FORMTYPE_SUCCESS:
            return Object.assign({}, state, { loginMultiformData: action.payload, loading: false });
        case GET_SESSION_DATA:
            return Object.assign({}, state, { loading: true });
        case GET_SESSION_SUCCESS:
            return Object.assign({}, state, { sessionData: action.payload, loading: false });
        case POST_SESSION_DATA:
            return Object.assign({}, state, { postsession: action.payload, loading: true });
        case POST_SESSION_SUCCESS:
            return Object.assign({}, state, { postsessionData: action.payload, loading: false });
        case GET_CHALLENGE_DATA:
            return Object.assign({}, state, { loading: true });
        case GET_CHALLENGE_DATA_SUCCESS:
            return Object.assign({}, state, { ChallengeStatusData: action.payload, loading: false });
        case GET_PREDEFINED_DATA:
            return Object.assign({}, state, { loading: true });
        case GET_PREDEFINED_DATA_SUCCESS:
            return Object.assign({}, state, { predefinedData: action.payload, loading: false });
        case GET_CHALLENGE_STATUS_DATA:
            return Object.assign({}, state, { loading: true });
        case GET_CHALLENGE_STATUS_DATA_SUCCESS:
            return Object.assign({}, state, { challengeStatusData: action.payload, loading: false });
        case STORE_LOGGED_USER_ID:
            return Object.assign({}, state, { loggedUserId: action.payload });
        default:
            return state;
    }
}

var reducers = LoginReducers;
var getLoginState = function (state) { return state.loginModule; };
var getauthMetaData = function (state) {
    return state.loginModule.authMetaData;
};
var getLoginOtpFormStatus = function (state) {
    return state.loginModule.loginOtpformData;
};
var getUsername = function (state) {
    return state.loginModule.usernameData;
};
var getLoading = function (state) {
    return state.loginModule.loading;
};
var getpostSessionData = function (state) {
    return state.loginModule.postsessionData;
};
var getsessionsData = function (state) {
    return state.loginModule.sessionData;
};
var getPredefinedData = function (state) {
    return state.loginModule.postsessionData;
};
var getChallengeQuestionsData = function (state) {
    return state.loginModule.postsessionData;
};
var getChallengeStatus = function (state) {
    return state.loginModule.postsessionData;
};
var getCaptchaImage = function (state) {
    return state.loginModule.postsessionData;
};
var getLoggedUserId = function (state) {
    return state.loginModule.loggedUserId;
};
var getLoginMultiFormStatus = function (state) {
    return state.loginModule.loginMultiformData;
};

var LoginService = /** @class */ (function () {
    /**
     * @param {?} store
     */
    function LoginService(store) {
        this.store = store;
    }
    /**
     * @return {?}
     */
    LoginService.prototype.loadAuthMetaData = function () {
        this.store.dispatch(new GetAuthMetaDataAction());
    };
    /**
     * @return {?}
     */
    LoginService.prototype.getauthMetaData = function () {
        return this.store.select(getauthMetaData);
    };
    /**
     * @param {?} username
     * @return {?}
     */
    LoginService.prototype.submitUserName = function (username) {
        console.log(username);
        this.store.dispatch(new SubmitUsernameAction(username));
    };
    /**
     * @param {?} loginform
     * @return {?}
     */
    LoginService.prototype.submitLoginOTPForm = function (loginform) {
        this.store.dispatch(new SubmitLoginOtpformAction(loginform));
    };
    /**
     * @param {?} loginform
     * @return {?}
     */
    LoginService.prototype.submitLoginMultiChallengeForm = function (loginform) {
        this.store.dispatch(new SubmitLoginMultiformAction(loginform));
    };
    /**
     * @return {?}
     */
    LoginService.prototype.isUserNameSubmitSuccess = function () {
        return this.store.select(getUsername);
    };
    /**
     * @return {?}
     */
    LoginService.prototype.isLoginOTPSubmitSuccess = function () {
        return this.store.select(getLoginOtpFormStatus);
    };
    /**
     * @return {?}
     */
    LoginService.prototype.isLoginMultiChallengeSubmitSuccess = function () {
        return this.store.select(getLoginMultiFormStatus);
    };
    /**
     * @return {?}
     */
    LoginService.prototype.getLoadingIndicator = function () {
        return this.store.select(getLoading);
    };
    /**
     * @return {?}
     */
    LoginService.prototype.loadSessionsData = function () {
        this.store.dispatch(new GetsessionsAction());
    };
    /**
     * @return {?}
     */
    LoginService.prototype.getSessionsData = function () {
        return this.store.select(getsessionsData);
    };
    /**
     * @param {?} postsession
     * @return {?}
     */
    LoginService.prototype.submitPostSession = function (postsession) {
        this.store.dispatch(new PostSessionAction(postsession));
    };
    /**
     * @return {?}
     */
    LoginService.prototype.isPostSessionSubmitSuccess = function () {
        return this.store.select(getpostSessionData);
    };
    /**
     * @return {?}
     */
    LoginService.prototype.loadChallengeQuestionsData = function () {
        this.store.dispatch(new GetChallengeDataAction());
    };
    /**
     * @return {?}
     */
    LoginService.prototype.getChallengeQuestionsData = function () {
        return this.store.select(getChallengeQuestionsData);
    };
    /**
     * @return {?}
     */
    LoginService.prototype.loadPredefinedData = function () {
        this.store.dispatch(new GetPredefinedDataAction());
    };
    /**
     * @return {?}
     */
    LoginService.prototype.getPredefinedData = function () {
        return this.store.select(getPredefinedData);
    };
    /**
     * @return {?}
     */
    LoginService.prototype.loadChallengeStatusData = function () {
        this.store.dispatch(new GetChallengeStatusDataAction());
    };
    /**
     * @return {?}
     */
    LoginService.prototype.getChallengeStatusData = function () {
        return this.store.select(getChallengeStatus);
    };
    /**
     * @return {?}
     */
    LoginService.prototype.loadCaptchaImage = function () {
        this.store.dispatch(new LoadCaptchaImage());
    };
    /**
     * @param {?} userId
     * @return {?}
     */
    LoginService.prototype.storeLoggedUserId = function (userId) {
        this.store.dispatch(new StoreLoggedUserIdAction(userId));
    };
    /**
     * @return {?}
     */
    LoginService.prototype.getCaptchaImage = function () {
        return this.store.select(getCaptchaImage);
    };
    LoginService.decorators = [
        { type: Injectable },
    ];
    /**
     * @nocollapse
     */
    LoginService.ctorParameters = function () { return [
        { type: Store, },
    ]; };
    return LoginService;
}());

var ChallengeQuestions = {
    description: 'Challenge Question',
    id: '',
    emailOrLoginID: '',
    questions: [],
    answers: []
};
var UnlockAccount = {
    title: 'UNLOCK ACCOUNT',
    emailAddress: 'Enter your registered email address, user ID or alias',
};
var OTPRecovery = {
    title: 'OTP Recovery',
    select_how_you_would_like_to_recieve_your_OneTimePIN: 'Select how you would like to recieve your OneTimePIN',
    text_me: 'Text Me',
    use_authenticator_app: 'Use authenticator app',
    select_problem: 'Select your problem:',
    i_dont_know_my_one_time_pin_device: 'I dont know my One-Time-PIN device.',
    i_want_to_reset_my_one_time_pin_device: 'I want to reset my One-Time-PIN device.',
    message: 'Thank you. An email informing you of your One-Time-PIN device has been sent to your registered email address.',
    select_one_of_the_supported_authenticator_apps_you_would_like_to_use: 'Select one of the supported authenticator apps you would like to use:',
    google_Authenticator: 'Google Authenticator',
    microsoft_Authenticator: 'Microsoft Authenticator',
    install_the_free: 'Install the free',
    app_if_you_have_not_already_done_so: 'app (if you have not already done so)',
    after_you_log_in_using_your_Gmail_credentials_hit_the_icon_to_add_an_account: 'After you log in using your Gmail credentials, hit the + icon to add an account',
    select_Manual_Entry_and_enter_the_following_code: 'Select “Manual Entry”and enter the following code:',
    enter_the_time_sensitive_code_generated_for_this_account: 'Enter the time-sensitive code generated for this account',
    in_the_app_add_an_account_and_chooose_Other_from_the_list_of_account_types: 'In the app, add an account and chooose “Other” from the list of account types',
    enter_the_following_code_into_the_app: 'Enter the following code into the app',
};
var CIOError = {
    successMessage: 'Check your One-Time-PIN device for PIN',
    errorMessage: 'Invalid'
};
var CIOConstants = {
    loginName: 'User ID',
    captcha: 'Enter the Text in the Image Below',
    remember: 'Remember my User ID',
    password: 'Password',
    otpPin: 'PIN Code',
    otpMessage: 'Please check your One-Time-PIN device to get the PIN code to use below',
    sessionsInstructions: 'You have reached the maximum number of sessions for your user account. A session must be ended for you to proceed. Please close a tab or browser window to continue.',
    sessionStartTime: 'Session Start',
    sessionUUID: 'Unique Identifier',
    'DICT.COMMON_FIELDS.PROCEED_BUTTON': 'Proceed',
    'DICT.COMMON_FIELDS.LOGIN_LOGIN': 'Login',
    'DICT.COMMON.CANCEL': 'Cancel',
    currentStep: '',
    browserFields: '',
    username: '',
    displayOtp: '',
    showcaptcha: '',
    imageURL: '',
    questions: [],
    idpURL: 'https://infinitydev.sungard.com/idp-dev/html5/wizards/authentication',
    issueType: '',
    troubleSignInData: '',
    userPassword: '',
    backButtonText: 'BACK',
    proceedButtonText: 'PROCEED',
    sendButtonText: 'SEND',
    signIn: 'SIGN IN',
    emailAddress: 'Enter your registered email address',
    challengeQuestions: ChallengeQuestions,
    otpRecovery: OTPRecovery,
    unlockAccount: UnlockAccount,
    cioError: CIOError,
};

// import { LoginPage } from '../../../modules/components/loginpage/loginpage';
/**
 * Generated class for the InitpagePage page.

See http://ionicframework.com/docs/components/#navigation for more info
on Ionic pages and navigation.
 */
var NextPage = /** @class */ (function () {
    function NextPage() {
    }
    /**
     * @param {?} res
     * @return {?}
     */
    NextPage.prototype.getcurrtenstep = function (res) {
        //alert(JSON.stringify(res));
        this.userData = res.data.nextStep;
        CIOConstants.currentStep = this.userData.id;
        //alert(res.data.nextStep.id);
        CIOConstants.username = this.userData.params.loginName ? this.userData.params.loginName : CIOConstants.username;
        CIOConstants.showcaptcha = this.userData.params.showCaptchaField ? this.userData.params.showCaptchaField : CIOConstants.showcaptcha;
        // alert(CIOConstants.showcaptcha);
        CIOConstants.browserFields = SHA256.hash(this.userData.params.browserFields);
        CIOConstants.displayOtp = this.userData.params.displayOtp ? this.userData.params.displayOtp : "false";
        CIOConstants.questions = this.userData.params.questions ? this.userData.params.questions : "false";
        if (this.userData.params.imageUrl) {
            CIOConstants.imageURL = this.userData.params.imageUrl;
        }
        return CIOConstants.currentStep;
    };
    /**
     * @param {?} page
     * @param {?} res
     * @return {?}
     */
    NextPage.prototype._mapNextPage = function (page, res) {
        var /** @type {?} */ _nextPage;
        var /** @type {?} */ _value;
        switch (page) {
            case page:
                _nextPage = 'LoginPage';
                _value = res;
                break;
            default:
                // _nextPage = this._isSignedIn ? HomePage : LoginPage;
                break;
        }
        return _nextPage;
    };
    NextPage.decorators = [
        { type: Injectable },
    ];
    /**
     * @nocollapse
     */
    NextPage.ctorParameters = function () { return []; };
    return NextPage;
}());

/**
 * Generated class for the SessionsPage page.

See http://ionicframework.com/docs/components/#navigation for more info
on Ionic pages and navigation.
 */
var SessionsPage = /** @class */ (function () {
    /**
     * @param {?} navCtrl
     * @param {?} navParams
     * @param {?} loginService
     * @param {?} _nextPage
     */
    function SessionsPage(navCtrl, navParams, loginService, _nextPage) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loginService = loginService;
        this._nextPage = _nextPage;
        this.sessionList = [];
    }
    /**
     * @return {?}
     */
    SessionsPage.prototype.ngOnInit = function () {
        this.loginService.loadSessionsData();
    };
    /**
     * @return {?}
     */
    SessionsPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        console.log('ionViewDidLoad sessionList');
        //Loading Indicator..
        this.loadingIndicatorSubscription = this.loginService.getLoadingIndicator().subscribe(function (res) {
            console.log('loading res :: ' + res);
            if (!res) {
                setTimeout(function () {
                    _this.isLoading = res;
                }, 5000);
            }
            else {
                _this.isLoading = res;
            }
        });
        this.sessionsMetaData = this.loginService.getSessionsData().subscribe(function (data) {
            _this.templist = data;
            if (_this.templist) {
                _this.sessionList = _this.templist.data;
                //this._nextPage.getcurrtenstep(this.sessionList.data);        
            }
        });
    };
    /**
     * @param {?} e
     * @return {?}
     */
    SessionsPage.prototype.datachanged = function (e) {
        this.checkedIdx = e;
        console.log(e);
    };
    /**
     * @return {?}
     */
    SessionsPage.prototype.sessionLogout = function () {
        var _this = this;
        this.loginService.submitPostSession(this.checkedIdx);
        this.postSessionMetaData = this.loginService.isPostSessionSubmitSuccess().subscribe(function (data) {
            _this.postmetaData = data;
            if (_this.postmetaData) {
                _this.postmetaData = _this.postmetaData.data.nextStep;
                if (_this.postmetaData.id === null) {
                    _this.navCtrl.setRoot('MessagesPage'); //navigate to home screen
                }
                else if (_this.postmetaData.id === 'username') {
                    _this.navCtrl.setRoot('PasswordPage');
                }
            }
        });
    };
    SessionsPage.decorators = [
        { type: Component, args: [{
                    selector: 'page-sessionspage',
                    template: "<!-- Generated template for the FbquestionPage page. See http://ionicframework.com/docs/components/#navigation for more info on Ionic pages and navigation. --> <headercomponent> </headercomponent> <cio-loading-indicator> </cio-loading-indicator> <ion-content padding style=\"margin-top:38px\"> <ion-label text-wrap>You have reached the maximum number of sessions for your user account. A session must be ended for you to proceed. Please close a tab or browser window to continue.</ion-label> <ion-list *ngFor=\"let item of sessionList.data\"> <ion-item-group> <ion-item-divider light> {{item.userName}} </ion-item-divider> <ion-item> <ion-checkbox color=\"dark\" checked=\"false\" (ionChange)=\"datachanged(item.uuid)\"></ion-checkbox> </ion-item> <ion-item text-wrap> <ion-label> uuid : {{item.uuid}} </ion-label> </ion-item> <ion-item text-wrap> <ion-label> userName: {{item.userName}}</ion-label>  </ion-item> <ion-item text-wrap> <ion-label> sessionStartTime: {{item.sessionStartTime}} </ion-label> </ion-item> <ion-item text-wrap> <ion-label> sessionLength: {{item.sessionLength}}</ion-label> </ion-item> </ion-item-group> </ion-list> <ion-row class=\"cio_row_margin_top\"> <ion-col col-5 align-self-center class=\"col_text_center\">  <button ion-button  [ngClass]=\"button_enabled\" (click)=\"sessionLogout()\">Proceed</button> </ion-col> </ion-row> </ion-content> ",
                },] },
    ];
    /**
     * @nocollapse
     */
    SessionsPage.ctorParameters = function () { return [
        { type: NavController, },
        { type: NavParams, },
        { type: LoginService, },
        { type: NextPage, },
    ]; };
    return SessionsPage;
}());

/**
 * Generated class for the SecondpagePage page.

See http://ionicframework.com/docs/components/#navigation for more info
on Ionic pages and navigation.
 */
var ContentPage = /** @class */ (function () {
    /**
     * @param {?} navCtrl
     * @param {?} navParams
     */
    function ContentPage(navCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
    }
    /**
     * @return {?}
     */
    ContentPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad SecondpagePage');
    };
    ContentPage.decorators = [
        { type: Component, args: [{
                    selector: 'page-contentpage',
                    template: "<headercomponent></headercomponent> <ion-content scroll=\"false\" class=\"main_container\"> <contentcomponent></contentcomponent> </ion-content>",
                },] },
    ];
    /**
     * @nocollapse
     */
    ContentPage.ctorParameters = function () { return [
        { type: NavController, },
        { type: NavParams, },
    ]; };
    return ContentPage;
}());

/**
 * Generated class for the ContentcomponentComponent component.

See https://angular.io/docs/ts/latest/api/core/index/ComponentMetadata-class.html
for more info on Angular Components.
 */
var UsernameComponent = /** @class */ (function () {
    /**
     * @param {?} _formBuilder
     * @param {?} _loadingCtrl
     * @param {?} _navCtrl
     * @param {?} _storage
     * @param {?} loginService
     * @param {?} _alertCtrl
     * @param {?} _nextPage
     */
    function UsernameComponent(_formBuilder, _loadingCtrl, _navCtrl, _storage, loginService, _alertCtrl, _nextPage) {
        this._formBuilder = _formBuilder;
        this._loadingCtrl = _loadingCtrl;
        this._navCtrl = _navCtrl;
        this._storage = _storage;
        this.loginService = loginService;
        this._alertCtrl = _alertCtrl;
        this._nextPage = _nextPage;
        this.localconstants = CIOConstants;
        this.view = this.localconstants.currentStep;
    }
    /**
     * @return {?}
     */
    UsernameComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.setValidators();
        //Loading Indicator..
        this.loadingIndicatorSubscription = this.loginService.getLoadingIndicator().subscribe(function (res) {
            console.log('loading res :: ' + res);
            if (!res) {
                setTimeout(function () {
                    _this.isLoading = res;
                }, 5000);
            }
            else {
                _this.isLoading = res;
            }
        });
    };
    /**
     * @return {?}
     */
    UsernameComponent.prototype.setValidators = function () {
        this.login = /** @type {?} */ ({});
        if (this.view === 'username') {
            this.loginForm = this._formBuilder.group({
                'loginName': ['', Validators.required],
                'isRememberMe': ['false', Validators.required],
                'enteredCapcha': [''],
            });
        }
        else if (this.view === 'login') {
            this.loginForm = this._formBuilder.group({
                'loginName': ['', Validators.required],
                'password': ['', Validators.required],
                'isRememberMe': [false],
                'enteredCapcha': [''],
            });
        }
    };
    /**
     * @return {?}
     */
    UsernameComponent.prototype.onSubmit = function () {
        var _this = this;
        this.loginData = {
            loginName: this.login.UserName,
        };
        if (this.login.IsRememberMe) {
            this.loginData.isremember = this.login.IsRememberMe;
        }
        this.loginService.submitUserName(this.login);
        this.loginService.storeLoggedUserId(this.loginForm.controls.loginName.value.trim());
        this.isUserNameSubscription = this.loginService.isUserNameSubmitSuccess().subscribe(function (data) {
            _this.userData = data;
            if (_this.userData) {
                _this._storage.set('loggedinUser', _this.userData.data.nextStep.params.loginName);
                if (_this.login.IsRememberMe) {
                    _this._storage.set('IsRememberMe', _this.login.IsRememberMe);
                }
                else {
                    _this._storage.set('IsRememberMe', false);
                }
                _this._nextPage.getcurrtenstep(_this.userData);
                //CIOConstants.questions = this.userData.nextStep.params.questions[0] ? this.userData.nextStep.params.questions[0] : "false";
                if (CIOConstants.currentStep === 'password') {
                    _this._navCtrl.push(ContentPage);
                }
                else if (CIOConstants.currentStep === null) {
                    //this._navCtrl.setRoot(MessagesPage);
                }
                else if (CIOConstants.currentStep === 'tooManyActiveSessionPage') {
                    _this._navCtrl.push(SessionsPage);
                }
                else if (CIOConstants.currentStep === 'login') {
                    _this._navCtrl.push(LoginPage);
                }
            }
        }, function (error) {
        });
    };
    /**
     * @return {?}
     */
    UsernameComponent.prototype.ionViewDidLeave = function () {
        if (this.isUserNameSubscription) {
            this.isUserNameSubscription.unsubscribe();
        }
    };
    /**
     * @return {?}
     */
    UsernameComponent.prototype.doTrobleSignIn = function () {
        this._navCtrl.push('TroublesigninPage');
    };
    UsernameComponent.decorators = [
        { type: Component, args: [{
                    selector: 'usernamecomponent',
                    template: "<div class=\"inner_container\"> <div class=\"container\"> <cio-loading-indicator> </cio-loading-indicator> <div class=\"container_padding\" *ngIf=\"!isLoading\"> <ion-label class=\"lbl_primary no_margin\" *ngIf=\"view === 'username' || view === 'login'\"> SIGN IN </ion-label> <form novalidate [formGroup]=\"loginForm\" (ngSubmit)=\"onSubmit()\"> <ion-item no-lines no-padding> <ion-label class=\"lbl_secondary text_wrap\" stacked>User ID </ion-label> <ion-input  *ngIf=\"view === 'username' || view === 'login'\"  formControlName=\"loginName\" [(ngModel)]=\"login.UserName\" ngDefaultControl required> </ion-input> </ion-item> <ion-row *ngIf=\"view === 'username'\"> <ion-item no-lines class=\"padding-0\"> <ion-label class=\"lbl_secondary margin-top-17\">Remember Me</ion-label> <ion-checkbox class=\"isRememberCheck\"   [(ngModel)]=\"login.IsRememberMe\" formControlName=\"isRememberMe\"></ion-checkbox> </ion-item> </ion-row> <ion-item no-lines no-padding *ngIf=\"view === 'login'\"> <ion-label class=\"lbl_secondary text_wrap\" stacked> Password</ion-label> <ion-input   [(ngModel)]=\"login.Password\" formControlName=\"password\"  ngDefaultControl  required type=\"password\"> </ion-input> </ion-item>  <div *ngIf=\"localconstants.showcaptcha === true\"> <ion-item no-lines no-padding> <ion-label dark class=\"lbl_secondary text_wrap\" stacked> {{ localconstants.captcha }} </ion-label> <ion-input  [(ngModel)]=\"login.Capcha\" formControlName=\"enteredCapcha\" type=\"text\" ngDefaultControl> </ion-input> </ion-item> <ion-row> <ion-col no-padding class=\"max-width\"> <img [src]=\"captchaImage\"> </ion-col> <ion-col no-padding class=\"align-self-center\"> <ion-icon class=\"refresh_captcha\" name=\"refresh\" (click)=\"getCaptcha()\"></ion-icon> </ion-col> </ion-row> </div> <ion-row class=\"cio_row_margin_top\"> <ion-col col-7 align-self-center> <ion-label class=\"cio_trouble_signIn\" (click)=\"doTrobleSignIn()\"> Trouble signing in?</ion-label> </ion-col> <ion-col col-5 align-self-center class=\"col_text_center\"> <button ion-button round type=\"submit\" [ngClass]=\"!loginForm.valid ? 'button_disabled': 'button_enabled'\" [disabled]=\"!loginForm.valid\"> PROCEED </button> </ion-col> </ion-row> </form> </div> </div> </div> ",
                    styles: [".main_container { background-image: url(\"./assets/images/bg.png\"); margin-top: 4em; } .inner_container { padding-bottom: 2.188em; margin-top: 4em; } .container { background-color: #ffffff; min-height: 20em; } .container_padding { margin-left: 1.5em; margin-right: 1.5em; padding-top: 2.188em; } .lbl_primary { font-family: Raleway, Helvetica, Arial, sans-serif; color: #95989A; font-weight: 600; font-size: 1.625em; text-transform: uppercase; margin-top: 0px; margin-bottom: 22px; } .lbl_secondary { font-family: Helvetica, Arial, sans-serif; color: #777363; font-weight: 300 !important; font-size: 1.25em !important; } /*.item-input .label-md, .item-select .label-md, .item-datetime .label-md { color: #777363; }*/ .lbl_modal_text { font-family: Raleway, Helvetica, Arial, sans-serif; color: #95989A; font-weight: regular; font-size: 1.25em; } .lbl_titleLbl { font-family: Raleway, Helvetica, Arial, sans-serif; color: #95989A; font-weight: 300; font-size: 1.125em; } .lbl_txtLbl { font-family: Raleway, Helvetica, Arial, sans-serif; color: #5D5654; font-weight: 300 bold; font-size: 1.125em; } input[type=\"text\"], input[type=\"password\"], input[type=\"email\"], input[type=\"number\"], input[type=\"tel\"] { border: 1px solid  #95989A; border-radius: 3px; margin-bottom: .5em; font-family: Helvetica,Arial, sans-serif; font-weight: 400; height: 40px; width: 100%; box-shadow: 0 0 2px 0 #000 0.1 opacity; } input[type=\"text\"]:focus, input[type=\"password\"]:focus, input[type=\"email\"]:focus, input[type=\"number\"]:focus, input[type=\"tel\"]:focus { border: 1px solid #00A4B6; box-shadow: 0 0 0 0 #00A4B6 0.1 opacity; } .item-md.item-input.input-has-focus .item-inner { border-bottom-color: transparent !important; box-shadow: none !important; } .item-md.item-input.ng-invalid.ng-touched:not(.input-has-focus):not(.item-input-has-focus) .item-inner { border-bottom-color: transparent !important; box-shadow: none !important; } .item-md.item-input.ng-valid.input-has-value:not(.input-has-focus) .item-inner { border-bottom-color: transparent !important; box-shadow: none !important; } .list-md .item-input.input-has-focus:last-child { border-bottom-color: transparent !important; box-shadow: none !important; } .list-md .item-md.item-input:not(.input-has-focus):last-child { border-bottom-color: transparent !important; box-shadow: none !important; } item-input .label-md { color: #777363 !important; } .no-padding { padding: 0px !important; } .text-input-md { margin: 0px; padding: 10px; width: calc(100% - 8px - 8px); font-size: 1.5em; } .text_wrap { white-space: normal !important; } .cio_trouble_signIn { font-family: Helvetica, Arial, sans-serif; color: #00a4b6; font-weight: 500; font-size: 1.375em; text-decoration: none; } .cio_row_margin_top { margin-top: 2.188em; } .button_enabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; font-size: 1.188em; text-transform: uppercase; background-color: #00565b; } .button_disabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; /*Bold*/ font-size: 1.188em; text-transform: uppercase; background-color: #cccccc; } .alert-wrapper { border-radius: 0px !important; max-width: 23.625em !important; overflow: hidden !important; } .alert-head { text-align: left !important; padding-top: 1.8em !important; padding-right: 1.563em !important; } .alert-title { font-family: Raleway, Helvetica, Arial, sans-serif !important; color: #95989A !important; font-style: 600 !important; font-size: 1.5em !important; margin-bottom: 1em !important; } .alert-message { font-family: Helvetica, Arial, sans-serif !important; color: #777363 !important; font-weight: 400 !important; font-size: 1.2em !important; text-align: left !important; max-height: 20em !important; } .alert-button-group { padding-bottom: 1.8em !important; } .alert-md .alert-button .button-inner { justify-content: center; } .buttoncss { margin-left: 5em !important; margin-right: 5em !important; width: 7.813em !important; height: 2.313em !important; font-family: Arial, sans-serif !important; color: #ffffff !important; font-weight: bold !important; font-size: 1.1875em !important; text-transform: uppercase !important; background-color: #037D8A !important; border-radius: 1.5625em !important; } .no_margin { margin: 0px; } .text-input[disabled] { opacity: 1.4; } .color_dark { color: #000; } .help_icon { color: #95989A; font-size: 1.5em; margin-left: 5px; margin-bottom: 13px; } .col_text_center { text-align: center; } .padding_bottom_2 { padding-bottom: 2em; } .radio-ios .radio-icon, .radio-md .radio-icon { left: 0px; top: 0px; margin: 0; border-radius: 17px; position: relative; display: block; width: 34px; height: 34px; border-width: 1px; border-style: solid; border-color: #95989A; } .radio-ios .radio-checked, .radio-md .radio-checked { left: 0px; top: 0px; margin: 0; border-radius: 17px; position: relative; display: block; width: 34px; height: 34px; border-width: 1px; border-style: solid; background-color: #CCE2E7; border-color: #CCE2E7; } .radio-ios .radio-checked .radio-inner, .radio-md .radio-checked .radio-inner { left: 5PX; top: 5PX; border-radius: 11PX; position: absolute; width: 22px; height: 22px; background-color: #00a4b6; } .radio-ios .radio-inner, .radio-md .radio-inner { -webkit-transform: scale3d(0, 0, 0); transform: scale3d(0, 0, 0); -webkit-transition: -webkit-transform 0ms cubic-bezier(0.4, 0, 0.2, 1); transition: -webkit-transform 0ms cubic-bezier(0.4, 0, 0.2, 1); transition: transform 0ms cubic-bezier(0.4, 0, 0.2, 1); transition: transform 0ms cubic-bezier(0.4, 0, 0.2, 1), -webkit-transform 0ms cubic-bezier(0.4, 0, 0.2, 1); } .item-radio-checked.item-md ion-label { color: #000; } .button_enabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; /*Bold*/ font-size: 1.188em; text-transform: uppercase; background-color: #00565b; height: 40px; } .button_disabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; /*Bold*/ font-size: 1.188em; text-transform: uppercase; background-color: #cccccc; height: 40px; } .col_text_center { text-align: center; } .elem-float-right { float: right; } input, textarea { color: #00A4B6 !important; text-shadow: 0px 0px 0px #000 !important; -webkit-text-fill-color: #4e4e4e  !important; } input::-webkit-input-placeholder, textarea::-webkit-input-placeholder { color: #00A4B6; text-shadow: none; -webkit-text-fill-color: initial; } .button-inner { padding-left: 3px; padding-right: 3px; } .label-md { margin: 12px 8px 9px 0 !important; } .rememberMe_font { font-size: 1.175em !important; } .radio_margin { margin: 11px 20px 10px 4px !important; } .text_align_self { align-self: flex-start; } .text_link { font-family: Helvetica, Arial, sans-serif; color: #00a4b6; font-weight: 500; font-size: 22px; text-decoration: none; } .authenticator_color { color: #00565b; } .max-width { max-width: max-content; } .refresh_captcha { color: #00a4b6; font-size: 1.5em; margin-left: 1em; margin-bottom: 13px; } .align-self-center { align-self: center; } "],
                },] },
    ];
    /**
     * @nocollapse
     */
    UsernameComponent.ctorParameters = function () { return [
        { type: FormBuilder, },
        { type: LoadingController, },
        { type: NavController, },
        { type: Storage, },
        { type: LoginService, },
        { type: AlertController, },
        { type: NextPage, },
    ]; };
    UsernameComponent.propDecorators = {
        'view': [{ type: Input },],
    };
    return UsernameComponent;
}());

/**
 * Generated class for the ContentcomponentComponent component.
 *
 * See https://angular.io/docs/ts/latest/api/core/index/ComponentMetadata-class.html
 * for more info on Angular Components.
 */
var OTPComponent = /** @class */ (function () {
    /**
     * @param {?} _formBuilder
     * @param {?} navCtrl
     * @param {?} loginService
     * @param {?} nextPage
     */
    function OTPComponent(_formBuilder, navCtrl, loginService, nextPage) {
        this._formBuilder = _formBuilder;
        this.navCtrl = navCtrl;
        this.loginService = loginService;
        this.nextPage = nextPage;
        this.localconstants = CIOConstants;
        this.view = this.localconstants.currentStep;
        if (this.isUserNameSubscription) {
            this.isUserNameSubscription.unsubscribe();
        }
    }
    /**
     * @return {?}
     */
    OTPComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.passwordlogin = /** @type {?} */ ({});
        this.setValidators();
        //Loading Indicator..
        this.loadingIndicatorSubscription = this.loginService.getLoadingIndicator().subscribe(function (res) {
            if (!res) {
                setTimeout(function () {
                    _this.isLoading = res;
                }, 5000);
            }
            else {
                _this.isLoading = res;
            }
        });
    };
    /**
     * @return {?}
     */
    OTPComponent.prototype.setValidators = function () {
        if (this.view === 'password') {
            this.loginForm = this._formBuilder.group({
                'password': [''],
                'otpPin': [''],
            });
        }
    };
    /**
     * @return {?}
     */
    OTPComponent.prototype.onSubmit = function () {
        var _this = this;
        this.loginService.submitLoginOTPForm(this.passwordlogin);
        this.isUserNameSubscription = this.loginService.isLoginOTPSubmitSuccess().subscribe(function (data) {
            _this.userData = data;
            if (_this.userData) {
                _this.nextPage.getcurrtenstep(_this.userData);
                if (CIOConstants.currentStep === 'antiphishing') {
                }
                else if (CIOConstants.currentStep === 'tooManyActiveSessionPage') {
                    _this.navCtrl.push(SessionsPage);
                }
                else if (CIOConstants.currentStep === null) {
                    _this.navCtrl.push('MessagesPage'); // navaigate to home page
                }
            }
        }, function (error) {
        });
    };
    /**
     * @return {?}
     */
    OTPComponent.prototype.ionViewDidLeave = function () {
        if (this.isUserNameSubscription) {
            this.isUserNameSubscription.unsubscribe();
        }
    };
    OTPComponent.decorators = [
        { type: Component, args: [{
                    selector: 'otpcomponent',
                    template: "<div class=\"inner_container\"> <div class=\"container\"> <cio-loading-indicator> </cio-loading-indicator> <div class=\"container_padding\" *ngIf=\"!isLoading\"> <div   class=\"margin-top-2\"> <div class=\"otp_success_border\"> <ion-grid> <ion-row> <ion-col col-12 align-items-center class=\"col_text_center\"> <div class=\"lbl_otp_success no_margin\"> <ion-icon ios=\"ios-information-circle\" md=\"md-information-circle\"> </ion-icon> Please check your One-Time-PIN device to get the PIN code to use below </div> </ion-col> </ion-row> </ion-grid> </div> </div> <form novalidate [formGroup]=\"loginForm\" (ngSubmit)=\"onSubmit()\"> <div> <ion-label  class=\"lbl_secondary text_wrap\" stacked >User ID </ion-label> <ion-label dark class=\"lbl_secondary color_dark\" *ngIf=\"view === 'password'\"> {{ localconstants.username }} </ion-label> </div> <div > <ion-label  class=\"lbl_secondary text_wrap\" stacked> Password</ion-label> <ion-input [ngClass]=\"password ? 'form_active': 'form_normal'\" [(ngModel)]=\"passwordlogin.Password\"  formControlName=\"password\" ngDefaultControl required type=\"password\"> </ion-input> </div> <div *ngIf=\" localconstants.displayOtp === true\" class=\"margin-top-2\"> <ion-row justify-content-center> <ion-col no-padding class=\"max-width\"> <ion-label  class=\"lbl_secondary text_wrap\" stacked> One-Time-PIN </ion-label> </ion-col> <ion-col no-padding> <ion-icon class=\"help_icon\" name=\"help-circle\" (click)=\"openOTPModal()\"></ion-icon> </ion-col> </ion-row> <ion-input [ngClass]=\"otpPin ? 'form_active': 'form_normal'\"  [(ngModel)]=\"passwordlogin.OTP\" formControlName=\"otpPin\" ngDefaultControl required type=\"password\"> </ion-input> </div> <ion-row class=\"cio_row_margin_top\"> <ion-col col-7 align-self-center> <ion-label class=\"cio_trouble_signIn\" (click)=\"openOTPModal()\"> Trouble signing in?</ion-label> </ion-col> <ion-col col-5 align-self-center class=\"col_text_center\"> <button ion-button round type=\"submit\" [ngClass]=\"loginForm.valid ? 'button_enabled': 'button_disabled'\" [disabled]=\"!loginForm.valid\"> PROCEED </button> </ion-col> </ion-row> </form> </div> </div> </div> ",
                    styles: [".main_container { background-image: url(\"./assets/images/bg.png\"); margin-top: 4em; } .inner_container { padding-bottom: 2.188em; margin-top: 4em; } .container { background-color: #ffffff; min-height: 20em; } .container_padding { margin-left: 1.5em; margin-right: 1.5em; padding-top: 2.188em; } .lbl_primary { font-family: Raleway, Helvetica, Arial, sans-serif; color: #95989A; font-weight: 600; font-size: 1.625em; text-transform: uppercase; margin-top: 0px; margin-bottom: 22px; } .lbl_secondary { font-family: Helvetica, Arial, sans-serif; color: #777363; font-weight: 300 !important; font-size: 1.25em !important; } /*.item-input .label-md, .item-select .label-md, .item-datetime .label-md { color: #777363; }*/ .lbl_modal_text { font-family: Raleway, Helvetica, Arial, sans-serif; color: #95989A; font-weight: regular; font-size: 1.25em; } .lbl_titleLbl { font-family: Raleway, Helvetica, Arial, sans-serif; color: #95989A; font-weight: 300; font-size: 1.125em; } .lbl_txtLbl { font-family: Raleway, Helvetica, Arial, sans-serif; color: #5D5654; font-weight: 300 bold; font-size: 1.125em; } input[type=\"text\"], input[type=\"password\"], input[type=\"email\"], input[type=\"number\"], input[type=\"tel\"] { border: 1px solid  #95989A; border-radius: 3px; margin-bottom: .5em; font-family: Helvetica,Arial, sans-serif; font-weight: 400; height: 40px; width: 100%; box-shadow: 0 0 2px 0 #000 0.1 opacity; } input[type=\"text\"]:focus, input[type=\"password\"]:focus, input[type=\"email\"]:focus, input[type=\"number\"]:focus, input[type=\"tel\"]:focus { border: 1px solid #00A4B6; box-shadow: 0 0 0 0 #00A4B6 0.1 opacity; } .item-md.item-input.input-has-focus .item-inner { border-bottom-color: transparent !important; box-shadow: none !important; } .item-md.item-input.ng-invalid.ng-touched:not(.input-has-focus):not(.item-input-has-focus) .item-inner { border-bottom-color: transparent !important; box-shadow: none !important; } .item-md.item-input.ng-valid.input-has-value:not(.input-has-focus) .item-inner { border-bottom-color: transparent !important; box-shadow: none !important; } .list-md .item-input.input-has-focus:last-child { border-bottom-color: transparent !important; box-shadow: none !important; } .list-md .item-md.item-input:not(.input-has-focus):last-child { border-bottom-color: transparent !important; box-shadow: none !important; } item-input .label-md { color: #777363 !important; } .no-padding { padding: 0px !important; } .text-input-md { margin: 0px; padding: 10px; width: calc(100% - 8px - 8px); font-size: 1.5em; } .text_wrap { white-space: normal !important; } .cio_trouble_signIn { font-family: Helvetica, Arial, sans-serif; color: #00a4b6; font-weight: 500; font-size: 1.375em; text-decoration: none; } .cio_row_margin_top { margin-top: 2.188em; } .button_enabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; font-size: 1.188em; text-transform: uppercase; background-color: #00565b; } .button_disabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; /*Bold*/ font-size: 1.188em; text-transform: uppercase; background-color: #cccccc; } .alert-wrapper { border-radius: 0px !important; max-width: 23.625em !important; overflow: hidden !important; } .alert-head { text-align: left !important; padding-top: 1.8em !important; padding-right: 1.563em !important; } .alert-title { font-family: Raleway, Helvetica, Arial, sans-serif !important; color: #95989A !important; font-style: 600 !important; font-size: 1.5em !important; margin-bottom: 1em !important; } .alert-message { font-family: Helvetica, Arial, sans-serif !important; color: #777363 !important; font-weight: 400 !important; font-size: 1.2em !important; text-align: left !important; max-height: 20em !important; } .alert-button-group { padding-bottom: 1.8em !important; } .alert-md .alert-button .button-inner { justify-content: center; } .buttoncss { margin-left: 5em !important; margin-right: 5em !important; width: 7.813em !important; height: 2.313em !important; font-family: Arial, sans-serif !important; color: #ffffff !important; font-weight: bold !important; font-size: 1.1875em !important; text-transform: uppercase !important; background-color: #037D8A !important; border-radius: 1.5625em !important; } .no_margin { margin: 0px; } .text-input[disabled] { opacity: 1.4; } .color_dark { color: #000; } .help_icon { color: #95989A; font-size: 1.5em; margin-left: 5px; margin-bottom: 13px; } .col_text_center { text-align: center; } .padding_bottom_2 { padding-bottom: 2em; } .radio-ios .radio-icon, .radio-md .radio-icon { left: 0px; top: 0px; margin: 0; border-radius: 17px; position: relative; display: block; width: 34px; height: 34px; border-width: 1px; border-style: solid; border-color: #95989A; } .radio-ios .radio-checked, .radio-md .radio-checked { left: 0px; top: 0px; margin: 0; border-radius: 17px; position: relative; display: block; width: 34px; height: 34px; border-width: 1px; border-style: solid; background-color: #CCE2E7; border-color: #CCE2E7; } .radio-ios .radio-checked .radio-inner, .radio-md .radio-checked .radio-inner { left: 5PX; top: 5PX; border-radius: 11PX; position: absolute; width: 22px; height: 22px; background-color: #00a4b6; } .radio-ios .radio-inner, .radio-md .radio-inner { -webkit-transform: scale3d(0, 0, 0); transform: scale3d(0, 0, 0); -webkit-transition: -webkit-transform 0ms cubic-bezier(0.4, 0, 0.2, 1); transition: -webkit-transform 0ms cubic-bezier(0.4, 0, 0.2, 1); transition: transform 0ms cubic-bezier(0.4, 0, 0.2, 1); transition: transform 0ms cubic-bezier(0.4, 0, 0.2, 1), -webkit-transform 0ms cubic-bezier(0.4, 0, 0.2, 1); } .item-radio-checked.item-md ion-label { color: #000; } .button_enabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; /*Bold*/ font-size: 1.188em; text-transform: uppercase; background-color: #00565b; height: 40px; } .button_disabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; /*Bold*/ font-size: 1.188em; text-transform: uppercase; background-color: #cccccc; height: 40px; } .col_text_center { text-align: center; } .elem-float-right { float: right; } input, textarea { color: #00A4B6 !important; text-shadow: 0px 0px 0px #000 !important; -webkit-text-fill-color: #4e4e4e  !important; } input::-webkit-input-placeholder, textarea::-webkit-input-placeholder { color: #00A4B6; text-shadow: none; -webkit-text-fill-color: initial; } .button-inner { padding-left: 3px; padding-right: 3px; } .label-md { margin: 12px 8px 9px 0 !important; } .rememberMe_font { font-size: 1.175em !important; } .radio_margin { margin: 11px 20px 10px 4px !important; } .text_align_self { align-self: flex-start; } .text_link { font-family: Helvetica, Arial, sans-serif; color: #00a4b6; font-weight: 500; font-size: 22px; text-decoration: none; } .authenticator_color { color: #00565b; } .max-width { max-width: max-content; } .refresh_captcha { color: #00a4b6; font-size: 1.5em; margin-left: 1em; margin-bottom: 13px; } .align-self-center { align-self: center; } "],
                },] },
    ];
    /**
     * @nocollapse
     */
    OTPComponent.ctorParameters = function () { return [
        { type: FormBuilder, },
        { type: NavController, },
        { type: LoginService, },
        { type: NextPage, },
    ]; };
    OTPComponent.propDecorators = {
        'view': [{ type: Input },],
    };
    return OTPComponent;
}());

/**
 * Generated class for the ContentcomponentComponent component.
 *
 * See https://angular.io/docs/ts/latest/api/core/index/ComponentMetadata-class.html
 * for more info on Angular Components.
 */
var MultiChallengeComponent = /** @class */ (function () {
    /**
     * @param {?} _formBuilder
     * @param {?} navCtrl
     * @param {?} loginService
     * @param {?} nextPage
     */
    function MultiChallengeComponent(_formBuilder, navCtrl, loginService, nextPage) {
        this._formBuilder = _formBuilder;
        this.navCtrl = navCtrl;
        this.loginService = loginService;
        this.nextPage = nextPage;
        this.localconstants = CIOConstants;
        this.view = this.localconstants.currentStep;
    }
    /**
     * @return {?}
     */
    MultiChallengeComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.passwordlogin = /** @type {?} */ ({});
        this.setValidators();
        //Loading Indicator..
        this.loadingIndicatorSubscription = this.loginService.getLoadingIndicator().subscribe(function (res) {
            if (!res) {
                setTimeout(function () {
                    _this.isLoading = res;
                }, 5000);
            }
            else {
                _this.isLoading = res;
            }
        });
    };
    /**
     * @return {?}
     */
    MultiChallengeComponent.prototype.setValidators = function () {
        if (this.view === 'password') {
            if (this.localconstants.questions.length >= 0) {
                this.loginForm = this._formBuilder.group({
                    'password': [''],
                    'answer': [''],
                });
            }
            else {
                this.loginForm = this._formBuilder.group({
                    'password': [''],
                });
            }
        }
    };
    /**
     * @return {?}
     */
    MultiChallengeComponent.prototype.onSubmit = function () {
        var _this = this;
        this.loginService.submitLoginMultiChallengeForm(this.passwordlogin);
        this.isUserNameSubscription = this.loginService.isLoginMultiChallengeSubmitSuccess().subscribe(function (data) {
            _this.userData = data;
            if (_this.userData) {
                _this.nextPage.getcurrtenstep(_this.userData);
                if (CIOConstants.currentStep === 'antiphishing') {
                }
                else if (CIOConstants.currentStep === 'tooManyActiveSessionPage') {
                    _this.navCtrl.push(SessionsPage);
                }
                else if (CIOConstants.currentStep === null) {
                    _this.navCtrl.push('MessagesPage'); // navaigate to home page
                }
            }
        }, function (error) {
        });
    };
    /**
     * @return {?}
     */
    MultiChallengeComponent.prototype.ionViewDidLeave = function () {
        if (this.isUserNameSubscription) {
            this.isUserNameSubscription.unsubscribe();
        }
    };
    MultiChallengeComponent.decorators = [
        { type: Component, args: [{
                    selector: 'multichallengecomponent',
                    template: "<div class=\"inner_container\"> <div class=\"container\"> <cio-loading-indicator> </cio-loading-indicator> <div class=\"container_padding\" *ngIf=\"!isLoading\"> <ion-label class=\"lbl_primary no_margin\"> SIGN IN </ion-label> <form novalidate [formGroup]=\"loginForm\" (ngSubmit)=\"onSubmit()\"> <div> <ion-label class=\"lbl_secondary\">User ID </ion-label> <ion-label dark  class=\"lbl_secondary color_dark\" *ngIf=\"view === 'password'\">  {{ localconstants.username }}  </ion-label>  </div> <div *ngIf=\"view === 'password'\"> <ion-label class=\"lbl_secondary\"> Password</ion-label> <ion-input [ngClass]=\"password ? 'form_active': 'form_normal'\" [(ngModel)]=\"passwordlogin.Password\"  formControlName=\"password\" ngDefaultControl required type=\"password\"> </ion-input> </div> <div *ngIf=\"view === 'password' && localconstants.questions !== 'false'\" class=\"margin-top-2\"> <ion-row justify-content-center> <ion-col no-padding class=\"max-width\"> <ion-label class=\"lbl_secondary no_margin\"> {{ localconstants.questions }} </ion-label> </ion-col> </ion-row> <ion-input [ngClass]=\"answer ? 'form_active': 'form_normal'\" [(ngModel)]=\"passwordlogin.Answer\" formControlName=\"answer\" ngDefaultControl required type=\"password\"> </ion-input> </div> <ion-row class=\"cio_row_margin_top\"> <ion-col col-7 align-self-center> <ion-label class=\"cio_trouble_signIn\" (click)=\"openOTPModal()\"> Trouble signing in?</ion-label> </ion-col> <ion-col col-5 align-self-center class=\"col_text_center\"> <button ion-button round type=\"submit\" [ngClass]=\"loginForm.valid ? 'button_enabled': 'button_disabled'\" [disabled]=\"!loginForm.valid\"> PROCEED </button> </ion-col> </ion-row> </form> </div> </div> </div> ",
                    styles: [".main_container { background-image: url(\"./assets/images/bg.png\"); margin-top: 4em; } .inner_container { padding-bottom: 2.188em; margin-top: 4em; } .container { background-color: #ffffff; min-height: 20em; } .container_padding { margin-left: 1.5em; margin-right: 1.5em; padding-top: 2.188em; } .lbl_primary { font-family: Raleway, Helvetica, Arial, sans-serif; color: #95989A; font-weight: 600; font-size: 1.625em; text-transform: uppercase; margin-top: 0px; margin-bottom: 22px; } .lbl_secondary { font-family: Helvetica, Arial, sans-serif; color: #777363; font-weight: 300 !important; font-size: 1.25em !important; } /*.item-input .label-md, .item-select .label-md, .item-datetime .label-md { color: #777363; }*/ .lbl_modal_text { font-family: Raleway, Helvetica, Arial, sans-serif; color: #95989A; font-weight: regular; font-size: 1.25em; } .lbl_titleLbl { font-family: Raleway, Helvetica, Arial, sans-serif; color: #95989A; font-weight: 300; font-size: 1.125em; } .lbl_txtLbl { font-family: Raleway, Helvetica, Arial, sans-serif; color: #5D5654; font-weight: 300 bold; font-size: 1.125em; } input[type=\"text\"], input[type=\"password\"], input[type=\"email\"], input[type=\"number\"], input[type=\"tel\"] { border: 1px solid  #95989A; border-radius: 3px; margin-bottom: .5em; font-family: Helvetica,Arial, sans-serif; font-weight: 400; height: 40px; width: 100%; box-shadow: 0 0 2px 0 #000 0.1 opacity; } input[type=\"text\"]:focus, input[type=\"password\"]:focus, input[type=\"email\"]:focus, input[type=\"number\"]:focus, input[type=\"tel\"]:focus { border: 1px solid #00A4B6; box-shadow: 0 0 0 0 #00A4B6 0.1 opacity; } .item-md.item-input.input-has-focus .item-inner { border-bottom-color: transparent !important; box-shadow: none !important; } .item-md.item-input.ng-invalid.ng-touched:not(.input-has-focus):not(.item-input-has-focus) .item-inner { border-bottom-color: transparent !important; box-shadow: none !important; } .item-md.item-input.ng-valid.input-has-value:not(.input-has-focus) .item-inner { border-bottom-color: transparent !important; box-shadow: none !important; } .list-md .item-input.input-has-focus:last-child { border-bottom-color: transparent !important; box-shadow: none !important; } .list-md .item-md.item-input:not(.input-has-focus):last-child { border-bottom-color: transparent !important; box-shadow: none !important; } item-input .label-md { color: #777363 !important; } .no-padding { padding: 0px !important; } .text-input-md { margin: 0px; padding: 10px; width: calc(100% - 8px - 8px); font-size: 1.5em; } .text_wrap { white-space: normal !important; } .cio_trouble_signIn { font-family: Helvetica, Arial, sans-serif; color: #00a4b6; font-weight: 500; font-size: 1.375em; text-decoration: none; } .cio_row_margin_top { margin-top: 2.188em; } .button_enabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; font-size: 1.188em; text-transform: uppercase; background-color: #00565b; } .button_disabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; /*Bold*/ font-size: 1.188em; text-transform: uppercase; background-color: #cccccc; } .alert-wrapper { border-radius: 0px !important; max-width: 23.625em !important; overflow: hidden !important; } .alert-head { text-align: left !important; padding-top: 1.8em !important; padding-right: 1.563em !important; } .alert-title { font-family: Raleway, Helvetica, Arial, sans-serif !important; color: #95989A !important; font-style: 600 !important; font-size: 1.5em !important; margin-bottom: 1em !important; } .alert-message { font-family: Helvetica, Arial, sans-serif !important; color: #777363 !important; font-weight: 400 !important; font-size: 1.2em !important; text-align: left !important; max-height: 20em !important; } .alert-button-group { padding-bottom: 1.8em !important; } .alert-md .alert-button .button-inner { justify-content: center; } .buttoncss { margin-left: 5em !important; margin-right: 5em !important; width: 7.813em !important; height: 2.313em !important; font-family: Arial, sans-serif !important; color: #ffffff !important; font-weight: bold !important; font-size: 1.1875em !important; text-transform: uppercase !important; background-color: #037D8A !important; border-radius: 1.5625em !important; } .no_margin { margin: 0px; } .text-input[disabled] { opacity: 1.4; } .color_dark { color: #000; } .help_icon { color: #95989A; font-size: 1.5em; margin-left: 5px; margin-bottom: 13px; } .col_text_center { text-align: center; } .padding_bottom_2 { padding-bottom: 2em; } .radio-ios .radio-icon, .radio-md .radio-icon { left: 0px; top: 0px; margin: 0; border-radius: 17px; position: relative; display: block; width: 34px; height: 34px; border-width: 1px; border-style: solid; border-color: #95989A; } .radio-ios .radio-checked, .radio-md .radio-checked { left: 0px; top: 0px; margin: 0; border-radius: 17px; position: relative; display: block; width: 34px; height: 34px; border-width: 1px; border-style: solid; background-color: #CCE2E7; border-color: #CCE2E7; } .radio-ios .radio-checked .radio-inner, .radio-md .radio-checked .radio-inner { left: 5PX; top: 5PX; border-radius: 11PX; position: absolute; width: 22px; height: 22px; background-color: #00a4b6; } .radio-ios .radio-inner, .radio-md .radio-inner { -webkit-transform: scale3d(0, 0, 0); transform: scale3d(0, 0, 0); -webkit-transition: -webkit-transform 0ms cubic-bezier(0.4, 0, 0.2, 1); transition: -webkit-transform 0ms cubic-bezier(0.4, 0, 0.2, 1); transition: transform 0ms cubic-bezier(0.4, 0, 0.2, 1); transition: transform 0ms cubic-bezier(0.4, 0, 0.2, 1), -webkit-transform 0ms cubic-bezier(0.4, 0, 0.2, 1); } .item-radio-checked.item-md ion-label { color: #000; } .button_enabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; /*Bold*/ font-size: 1.188em; text-transform: uppercase; background-color: #00565b; height: 40px; } .button_disabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; /*Bold*/ font-size: 1.188em; text-transform: uppercase; background-color: #cccccc; height: 40px; } .col_text_center { text-align: center; } .elem-float-right { float: right; } input, textarea { color: #00A4B6 !important; text-shadow: 0px 0px 0px #000 !important; -webkit-text-fill-color: #4e4e4e  !important; } input::-webkit-input-placeholder, textarea::-webkit-input-placeholder { color: #00A4B6; text-shadow: none; -webkit-text-fill-color: initial; } .button-inner { padding-left: 3px; padding-right: 3px; } .label-md { margin: 12px 8px 9px 0 !important; } .rememberMe_font { font-size: 1.175em !important; } .radio_margin { margin: 11px 20px 10px 4px !important; } .text_align_self { align-self: flex-start; } .text_link { font-family: Helvetica, Arial, sans-serif; color: #00a4b6; font-weight: 500; font-size: 22px; text-decoration: none; } .authenticator_color { color: #00565b; } .max-width { max-width: max-content; } .refresh_captcha { color: #00a4b6; font-size: 1.5em; margin-left: 1em; margin-bottom: 13px; } .align-self-center { align-self: center; } "],
                },] },
    ];
    /**
     * @nocollapse
     */
    MultiChallengeComponent.ctorParameters = function () { return [
        { type: FormBuilder, },
        { type: NavController, },
        { type: LoginService, },
        { type: NextPage, },
    ]; };
    MultiChallengeComponent.propDecorators = {
        'view': [{ type: Input },],
    };
    return MultiChallengeComponent;
}());

/**
 * Generated class for the InitcomponentComponent component.

See https://angular.io/docs/ts/latest/api/core/index/ComponentMetadata-class.html
for more info on Angular Components.
 */
var InitComponent = /** @class */ (function () {
    /**
     * @param {?} navCtrl
     * @param {?} loginService
     * @param {?} nextPage
     */
    function InitComponent(navCtrl, loginService, nextPage) {
        this.navCtrl = navCtrl;
        this.loginService = loginService;
        this.nextPage = nextPage;
        // this.getMetaData();
    }
    /**
     * @return {?}
     */
    InitComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.getMetaData(); //handle your subscription here
        this.authMetaDataSubscription = this.loginService.getauthMetaData().subscribe(function (data) {
            _this.metaData = data;
            console.log("init component subscribe data", _this.metaData);
            if (_this.metaData) {
                _this.nextPage.getcurrtenstep(_this.metaData);
                console.log("loginpage going to set as rooyt");
                _this.navCtrl.push(LoginPage);
            }
        });
    };
    /**
     * @return {?}
     */
    InitComponent.prototype.ionViewDidLeave = function () {
        if (this.authMetaDataSubscription) {
            this.authMetaDataSubscription.unsubscribe();
        }
    };
    /**
     * @return {?}
     */
    InitComponent.prototype.getMetaData = function () {
        this.loginService.loadAuthMetaData();
    };
    InitComponent.decorators = [
        { type: Component, args: [{
                    selector: 'initcomponent',
                    template: "<headercomponent></headercomponent>  <ion-content scroll=\"false\" class=\"main_container\"> <usernamecomponent></usernamecomponent> </ion-content> ",
                    styles: [".main_container { background-image: url(\"./assets/images/bg.png\"); margin-top: 4em; } .inner_container { padding-bottom: 2.188em; margin-top: 4em; } .container { background-color: #ffffff; min-height: 20em; } .container_padding { margin-left: 1.5em; margin-right: 1.5em; padding-top: 2.188em; } .lbl_primary { font-family: Raleway, Helvetica, Arial, sans-serif; color: #95989A; font-weight: 600; font-size: 1.625em; text-transform: uppercase; margin-top: 0px; margin-bottom: 22px; } .lbl_secondary { font-family: Helvetica, Arial, sans-serif; color: #777363; font-weight: 300 !important; font-size: 1.25em !important; } /*.item-input .label-md, .item-select .label-md, .item-datetime .label-md { color: #777363; }*/ .lbl_modal_text { font-family: Raleway, Helvetica, Arial, sans-serif; color: #95989A; font-weight: regular; font-size: 1.25em; } .lbl_titleLbl { font-family: Raleway, Helvetica, Arial, sans-serif; color: #95989A; font-weight: 300; font-size: 1.125em; } .lbl_txtLbl { font-family: Raleway, Helvetica, Arial, sans-serif; color: #5D5654; font-weight: 300 bold; font-size: 1.125em; } input[type=\"text\"], input[type=\"password\"], input[type=\"email\"], input[type=\"number\"], input[type=\"tel\"] { border: 1px solid  #95989A; border-radius: 3px; margin-bottom: .5em; font-family: Helvetica,Arial, sans-serif; font-weight: 400; height: 40px; width: 100%; box-shadow: 0 0 2px 0 #000 0.1 opacity; } input[type=\"text\"]:focus, input[type=\"password\"]:focus, input[type=\"email\"]:focus, input[type=\"number\"]:focus, input[type=\"tel\"]:focus { border: 1px solid #00A4B6; box-shadow: 0 0 0 0 #00A4B6 0.1 opacity; } .item-md.item-input.input-has-focus .item-inner { border-bottom-color: transparent !important; box-shadow: none !important; } .item-md.item-input.ng-invalid.ng-touched:not(.input-has-focus):not(.item-input-has-focus) .item-inner { border-bottom-color: transparent !important; box-shadow: none !important; } .item-md.item-input.ng-valid.input-has-value:not(.input-has-focus) .item-inner { border-bottom-color: transparent !important; box-shadow: none !important; } .list-md .item-input.input-has-focus:last-child { border-bottom-color: transparent !important; box-shadow: none !important; } .list-md .item-md.item-input:not(.input-has-focus):last-child { border-bottom-color: transparent !important; box-shadow: none !important; } item-input .label-md { color: #777363 !important; } .no-padding { padding: 0px !important; } .text-input-md { margin: 0px; padding: 10px; width: calc(100% - 8px - 8px); font-size: 1.5em; } .text_wrap { white-space: normal !important; } .cio_trouble_signIn { font-family: Helvetica, Arial, sans-serif; color: #00a4b6; font-weight: 500; font-size: 1.375em; text-decoration: none; } .cio_row_margin_top { margin-top: 2.188em; } .button_enabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; font-size: 1.188em; text-transform: uppercase; background-color: #00565b; } .button_disabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; /*Bold*/ font-size: 1.188em; text-transform: uppercase; background-color: #cccccc; } .alert-wrapper { border-radius: 0px !important; max-width: 23.625em !important; overflow: hidden !important; } .alert-head { text-align: left !important; padding-top: 1.8em !important; padding-right: 1.563em !important; } .alert-title { font-family: Raleway, Helvetica, Arial, sans-serif !important; color: #95989A !important; font-style: 600 !important; font-size: 1.5em !important; margin-bottom: 1em !important; } .alert-message { font-family: Helvetica, Arial, sans-serif !important; color: #777363 !important; font-weight: 400 !important; font-size: 1.2em !important; text-align: left !important; max-height: 20em !important; } .alert-button-group { padding-bottom: 1.8em !important; } .alert-md .alert-button .button-inner { justify-content: center; } .buttoncss { margin-left: 5em !important; margin-right: 5em !important; width: 7.813em !important; height: 2.313em !important; font-family: Arial, sans-serif !important; color: #ffffff !important; font-weight: bold !important; font-size: 1.1875em !important; text-transform: uppercase !important; background-color: #037D8A !important; border-radius: 1.5625em !important; } .no_margin { margin: 0px; } .text-input[disabled] { opacity: 1.4; } .color_dark { color: #000; } .help_icon { color: #95989A; font-size: 1.5em; margin-left: 5px; margin-bottom: 13px; } .col_text_center { text-align: center; } .padding_bottom_2 { padding-bottom: 2em; } .radio-ios .radio-icon, .radio-md .radio-icon { left: 0px; top: 0px; margin: 0; border-radius: 17px; position: relative; display: block; width: 34px; height: 34px; border-width: 1px; border-style: solid; border-color: #95989A; } .radio-ios .radio-checked, .radio-md .radio-checked { left: 0px; top: 0px; margin: 0; border-radius: 17px; position: relative; display: block; width: 34px; height: 34px; border-width: 1px; border-style: solid; background-color: #CCE2E7; border-color: #CCE2E7; } .radio-ios .radio-checked .radio-inner, .radio-md .radio-checked .radio-inner { left: 5PX; top: 5PX; border-radius: 11PX; position: absolute; width: 22px; height: 22px; background-color: #00a4b6; } .radio-ios .radio-inner, .radio-md .radio-inner { -webkit-transform: scale3d(0, 0, 0); transform: scale3d(0, 0, 0); -webkit-transition: -webkit-transform 0ms cubic-bezier(0.4, 0, 0.2, 1); transition: -webkit-transform 0ms cubic-bezier(0.4, 0, 0.2, 1); transition: transform 0ms cubic-bezier(0.4, 0, 0.2, 1); transition: transform 0ms cubic-bezier(0.4, 0, 0.2, 1), -webkit-transform 0ms cubic-bezier(0.4, 0, 0.2, 1); } .item-radio-checked.item-md ion-label { color: #000; } .button_enabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; /*Bold*/ font-size: 1.188em; text-transform: uppercase; background-color: #00565b; height: 40px; } .button_disabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; /*Bold*/ font-size: 1.188em; text-transform: uppercase; background-color: #cccccc; height: 40px; } .col_text_center { text-align: center; } .elem-float-right { float: right; } input, textarea { color: #00A4B6 !important; text-shadow: 0px 0px 0px #000 !important; -webkit-text-fill-color: #4e4e4e  !important; } input::-webkit-input-placeholder, textarea::-webkit-input-placeholder { color: #00A4B6; text-shadow: none; -webkit-text-fill-color: initial; } .button-inner { padding-left: 3px; padding-right: 3px; } .label-md { margin: 12px 8px 9px 0 !important; } .rememberMe_font { font-size: 1.175em !important; } .radio_margin { margin: 11px 20px 10px 4px !important; } .text_align_self { align-self: flex-start; } .text_link { font-family: Helvetica, Arial, sans-serif; color: #00a4b6; font-weight: 500; font-size: 22px; text-decoration: none; } .authenticator_color { color: #00565b; } .max-width { max-width: max-content; } .refresh_captcha { color: #00a4b6; font-size: 1.5em; margin-left: 1em; margin-bottom: 13px; } .align-self-center { align-self: center; } "],
                },] },
    ];
    /**
     * @nocollapse
     */
    InitComponent.ctorParameters = function () { return [
        { type: NavController, },
        { type: LoginService, },
        { type: NextPage, },
    ]; };
    return InitComponent;
}());

/**
 * Generated class for the ContentcomponentComponent component.

See https://angular.io/docs/ts/latest/api/core/index/ComponentMetadata-class.html
for more info on Angular Components.
 */
var ContentComponent = /** @class */ (function () {
    function ContentComponent() {
        this.localconstants = CIOConstants;
    }
    ContentComponent.decorators = [
        { type: Component, args: [{
                    selector: 'contentcomponent',
                    template: "<div class=\"inner_container\"> <div *ngIf = \"localconstants.displayOtp === true\"> <otpcomponent></otpcomponent> </div> <div *ngIf = \"localconstants.displayOtp !== true\"> <multichallengecomponent></multichallengecomponent> </div> ",
                    styles: [".main_container { background-image: url(\"./assets/images/bg.png\"); margin-top: 4em; } .inner_container { padding-bottom: 2.188em; margin-top: 4em; } .container { background-color: #ffffff; min-height: 20em; } .container_padding { margin-left: 1.5em; margin-right: 1.5em; padding-top: 2.188em; } .lbl_primary { font-family: Raleway, Helvetica, Arial, sans-serif; color: #95989A; font-weight: 600; font-size: 1.625em; text-transform: uppercase; margin-top: 0px; margin-bottom: 22px; } .lbl_secondary { font-family: Helvetica, Arial, sans-serif; color: #777363; font-weight: 300 !important; font-size: 1.25em !important; } /*.item-input .label-md, .item-select .label-md, .item-datetime .label-md { color: #777363; }*/ .lbl_modal_text { font-family: Raleway, Helvetica, Arial, sans-serif; color: #95989A; font-weight: regular; font-size: 1.25em; } .lbl_titleLbl { font-family: Raleway, Helvetica, Arial, sans-serif; color: #95989A; font-weight: 300; font-size: 1.125em; } .lbl_txtLbl { font-family: Raleway, Helvetica, Arial, sans-serif; color: #5D5654; font-weight: 300 bold; font-size: 1.125em; } input[type=\"text\"], input[type=\"password\"], input[type=\"email\"], input[type=\"number\"], input[type=\"tel\"] { border: 1px solid  #95989A; border-radius: 3px; margin-bottom: .5em; font-family: Helvetica,Arial, sans-serif; font-weight: 400; height: 40px; width: 100%; box-shadow: 0 0 2px 0 #000 0.1 opacity; } input[type=\"text\"]:focus, input[type=\"password\"]:focus, input[type=\"email\"]:focus, input[type=\"number\"]:focus, input[type=\"tel\"]:focus { border: 1px solid #00A4B6; box-shadow: 0 0 0 0 #00A4B6 0.1 opacity; } .item-md.item-input.input-has-focus .item-inner { border-bottom-color: transparent !important; box-shadow: none !important; } .item-md.item-input.ng-invalid.ng-touched:not(.input-has-focus):not(.item-input-has-focus) .item-inner { border-bottom-color: transparent !important; box-shadow: none !important; } .item-md.item-input.ng-valid.input-has-value:not(.input-has-focus) .item-inner { border-bottom-color: transparent !important; box-shadow: none !important; } .list-md .item-input.input-has-focus:last-child { border-bottom-color: transparent !important; box-shadow: none !important; } .list-md .item-md.item-input:not(.input-has-focus):last-child { border-bottom-color: transparent !important; box-shadow: none !important; } item-input .label-md { color: #777363 !important; } .no-padding { padding: 0px !important; } .text-input-md { margin: 0px; padding: 10px; width: calc(100% - 8px - 8px); font-size: 1.5em; } .text_wrap { white-space: normal !important; } .cio_trouble_signIn { font-family: Helvetica, Arial, sans-serif; color: #00a4b6; font-weight: 500; font-size: 1.375em; text-decoration: none; } .cio_row_margin_top { margin-top: 2.188em; } .button_enabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; font-size: 1.188em; text-transform: uppercase; background-color: #00565b; } .button_disabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; /*Bold*/ font-size: 1.188em; text-transform: uppercase; background-color: #cccccc; } .alert-wrapper { border-radius: 0px !important; max-width: 23.625em !important; overflow: hidden !important; } .alert-head { text-align: left !important; padding-top: 1.8em !important; padding-right: 1.563em !important; } .alert-title { font-family: Raleway, Helvetica, Arial, sans-serif !important; color: #95989A !important; font-style: 600 !important; font-size: 1.5em !important; margin-bottom: 1em !important; } .alert-message { font-family: Helvetica, Arial, sans-serif !important; color: #777363 !important; font-weight: 400 !important; font-size: 1.2em !important; text-align: left !important; max-height: 20em !important; } .alert-button-group { padding-bottom: 1.8em !important; } .alert-md .alert-button .button-inner { justify-content: center; } .buttoncss { margin-left: 5em !important; margin-right: 5em !important; width: 7.813em !important; height: 2.313em !important; font-family: Arial, sans-serif !important; color: #ffffff !important; font-weight: bold !important; font-size: 1.1875em !important; text-transform: uppercase !important; background-color: #037D8A !important; border-radius: 1.5625em !important; } .no_margin { margin: 0px; } .text-input[disabled] { opacity: 1.4; } .color_dark { color: #000; } .help_icon { color: #95989A; font-size: 1.5em; margin-left: 5px; margin-bottom: 13px; } .col_text_center { text-align: center; } .padding_bottom_2 { padding-bottom: 2em; } .radio-ios .radio-icon, .radio-md .radio-icon { left: 0px; top: 0px; margin: 0; border-radius: 17px; position: relative; display: block; width: 34px; height: 34px; border-width: 1px; border-style: solid; border-color: #95989A; } .radio-ios .radio-checked, .radio-md .radio-checked { left: 0px; top: 0px; margin: 0; border-radius: 17px; position: relative; display: block; width: 34px; height: 34px; border-width: 1px; border-style: solid; background-color: #CCE2E7; border-color: #CCE2E7; } .radio-ios .radio-checked .radio-inner, .radio-md .radio-checked .radio-inner { left: 5PX; top: 5PX; border-radius: 11PX; position: absolute; width: 22px; height: 22px; background-color: #00a4b6; } .radio-ios .radio-inner, .radio-md .radio-inner { -webkit-transform: scale3d(0, 0, 0); transform: scale3d(0, 0, 0); -webkit-transition: -webkit-transform 0ms cubic-bezier(0.4, 0, 0.2, 1); transition: -webkit-transform 0ms cubic-bezier(0.4, 0, 0.2, 1); transition: transform 0ms cubic-bezier(0.4, 0, 0.2, 1); transition: transform 0ms cubic-bezier(0.4, 0, 0.2, 1), -webkit-transform 0ms cubic-bezier(0.4, 0, 0.2, 1); } .item-radio-checked.item-md ion-label { color: #000; } .button_enabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; /*Bold*/ font-size: 1.188em; text-transform: uppercase; background-color: #00565b; height: 40px; } .button_disabled { font-family: Raleway, Helvetica, Arial, sans-serif; color: #ffffff; font-weight: 700; /*Bold*/ font-size: 1.188em; text-transform: uppercase; background-color: #cccccc; height: 40px; } .col_text_center { text-align: center; } .elem-float-right { float: right; } input, textarea { color: #00A4B6 !important; text-shadow: 0px 0px 0px #000 !important; -webkit-text-fill-color: #4e4e4e  !important; } input::-webkit-input-placeholder, textarea::-webkit-input-placeholder { color: #00A4B6; text-shadow: none; -webkit-text-fill-color: initial; } .button-inner { padding-left: 3px; padding-right: 3px; } .label-md { margin: 12px 8px 9px 0 !important; } .rememberMe_font { font-size: 1.175em !important; } .radio_margin { margin: 11px 20px 10px 4px !important; } .text_align_self { align-self: flex-start; } .text_link { font-family: Helvetica, Arial, sans-serif; color: #00a4b6; font-weight: 500; font-size: 22px; text-decoration: none; } .authenticator_color { color: #00565b; } .max-width { max-width: max-content; } .refresh_captcha { color: #00a4b6; font-size: 1.5em; margin-left: 1em; margin-bottom: 13px; } .align-self-center { align-self: center; } "]
                },] },
    ];
    /**
     * @nocollapse
     */
    ContentComponent.ctorParameters = function () { return []; };
    ContentComponent.propDecorators = {
        'view': [{ type: Input },],
    };
    return ContentComponent;
}());

/**
 * Generated class for the CioLoadingIndicatorComponent component.

See https://angular.io/docs/ts/latest/api/core/index/ComponentMetadata-class.html
for more info on Angular Components.
 */
var CioLoadingIndicatorComponent = /** @class */ (function () {
    /**
     * @param {?} loginService$
     */
    function CioLoadingIndicatorComponent(loginService$) {
        this.loginService$ = loginService$;
    }
    /**
     * @return {?}
     */
    CioLoadingIndicatorComponent.prototype.ngOnInit = function () {
        //login service loading indicator...
        var _this = this;
        this.loginService$.getLoadingIndicator().subscribe(function (res) {
            console.log('loginService loading res :: ' + res);
            if (!res) {
                setTimeout(function () {
                    _this.isLoading = res;
                }, 5000);
            }
            else {
                _this.isLoading = res;
            }
        });
    };
    CioLoadingIndicatorComponent.decorators = [
        { type: Component, args: [{
                    selector: 'cio-loading-indicator',
                    template: "<!-- Generated template for the CioLoadingIndicatorComponent component --> <div class=\"loading\" *ngIf=\"isLoading\"> <span></span> <span></span> <span></span> <span></span> <span></span> </div>   "
                },] },
    ];
    /**
     * @nocollapse
     */
    CioLoadingIndicatorComponent.ctorParameters = function () { return [
        { type: LoginService, },
    ]; };
    return CioLoadingIndicatorComponent;
}());

/**
 * Generated class for the HeaderComponent component.

See https://angular.io/docs/ts/latest/api/core/index/ComponentMetadata-class.html
for more info on Angular Components.
 */
var HeaderComponent = /** @class */ (function () {
    function HeaderComponent() {
        console.log('Hello HeaderComponent Component');
        this.text = 'Hello World';
    }
    HeaderComponent.decorators = [
        { type: Component, args: [{
                    selector: 'headercomponent',
                    template: "<!-- Generated template for the HeaderComponent component --> <ion-header style=\"text-align: center\"> <ion-toolbar class=\"header_container\"> <img src=\"assets/images/menu_logo.png\" class=\"cio_logo\"> </ion-toolbar> </ion-header> "
                },] },
    ];
    /**
     * @nocollapse
     */
    HeaderComponent.ctorParameters = function () { return []; };
    return HeaderComponent;
}());

var mergeAuthToken = function (options) {
    var /** @type {?} */ uuid = require('uuid4');
    var /** @type {?} */ uuidid = uuid().slice(0, 8).toUpperCase();
    console.log("id is ", uuidid.slice(0, 8).toUpperCase());
    var /** @type {?} */ _headers = new Headers();
    _headers.append('Content-type', 'application/json');
    _headers.append('X-FIS-IdP-Transaction-ID', uuidid);
    _headers.append('X-SunGard-IdP-API-Key', 'SunGard-IdP-Login');
    var /** @type {?} */ _requestOptions = new RequestOptions({ headers: _headers });
    // _headers.set('If-Match', '*');
    // let _requestOptions = new RequestOptions({headers: _headers,withCredentials :true}).merge(options);
    return _requestOptions;
};
var CIOAPPApi = /** @class */ (function () {
    /**
     * @param {?} _http
     * @param {?=} baseUrl
     */
    function CIOAPPApi(_http, baseUrl) {
        if (baseUrl === void 0) { baseUrl = 'https://infinitydev.sungard.com/idp-dev/html5'; }
        this._http = _http;
        this.baseUrl = baseUrl;
    }
    /**
     * @return {?}
     */
    CIOAPPApi.prototype.getHeaders = function () {
        return mergeAuthToken().headers;
    };
    /**
     * @param {?} path
     * @param {?=} options
     * @return {?}
     */
    CIOAPPApi.prototype.get = function (path, options) {
        return this._http.get(this.baseUrl + path, mergeAuthToken(options))
            .map(this._toCIOApiResponse)
            .catch(function (err) {
            console.log('Get err :: ', err);
            return Observable$1.throw(err);
        });
    };
    /**
     * @param {?} path
     * @param {?} body
     * @param {?=} options
     * @return {?}
     */
    CIOAPPApi.prototype.post = function (path, body, options) {
        return this._http.post(this.baseUrl + path, body, mergeAuthToken(options))
            .map(this._toCIOApiResponse)
            .catch(function (err) {
            console.log('POST err :: ', err);
            return Observable$1.throw(err);
        });
    };
    /**
     * @param {?} path
     * @param {?} body
     * @param {?=} options
     * @return {?}
     */
    CIOAPPApi.prototype.put = function (path, body, options) {
        return this._http.put(this.baseUrl + path, body, mergeAuthToken(options)).map(this._toCIOApiResponse);
    };
    /**
     * @param {?} path
     * @param {?=} options
     * @return {?}
     */
    CIOAPPApi.prototype.delete = function (path, options) {
        return this._http.delete(this.baseUrl + path, mergeAuthToken(options)).map(this._toCIOApiDeleteResponse);
    };
    /**
     * @param {?} path
     * @param {?} body
     * @param {?=} options
     * @return {?}
     */
    CIOAPPApi.prototype.patch = function (path, body, options) {
        return this._http.patch(this.baseUrl + path, body, mergeAuthToken(options)).map(this._toCIOApiResponse);
    };
    /**
     * @param {?} path
     * @param {?=} options
     * @return {?}
     */
    CIOAPPApi.prototype.head = function (path, options) {
        return this._http.head(this.baseUrl + path, mergeAuthToken(options)).map(this._toCIOApiResponse);
    };
    /**
     * @param {?} response
     * @return {?}
     */
    CIOAPPApi.prototype._toCIOApiResponse = function (response) {
        var /** @type {?} */ _response = {
            data: response.json(),
        };
        if (_response) {
            return _response;
        }
        else {
            throw Observable$1.throw(_response);
        }
    };
    /**
     * @param {?} response
     * @return {?}
     */
    CIOAPPApi.prototype._toCIOApiDeleteResponse = function (response) {
        var /** @type {?} */ _response = {
            data: response,
        };
        if (_response) {
            return _response;
        }
        else {
            throw Observable$1.throw(_response);
        }
    };
    CIOAPPApi.decorators = [
        { type: Injectable },
    ];
    /**
     * @nocollapse
     */
    CIOAPPApi.ctorParameters = function () { return [
        { type: Http, },
        null,
    ]; };
    return CIOAPPApi;
}());

var LoginAuthService = /** @class */ (function () {
    /**
     * @param {?} _api
     * @param {?} http
     */
    function LoginAuthService(_api, http) {
        this._api = _api;
        this.http = http;
    }
    /**
     * @return {?}
     */
    LoginAuthService.prototype.loginMetaData = function () {
        var /** @type {?} */ _apiPath;
        _apiPath = '/rest/1.0/wizards/authentication';
        return this._api.get(_apiPath).map(function (res) {
            return res;
        });
    };
    /**
     * @param {?} loginData
     * @return {?}
     */
    LoginAuthService.prototype.loginWithUserName = function (loginData) {
        this.reqBody = {
            step: CIOConstants.currentStep,
            data: {
                keyStroke: '',
                loginName: loginData.UserName ? loginData.UserName : CIOConstants.username,
                browserFootprint: CIOConstants.browserFields,
                remember: loginData.IsRememberMe,
                desktopRegistered: false,
                desktopName: false,
            }
        };
        if (CIOConstants.currentStep === 'login') {
            this.reqBody.data['password'] = loginData.Password;
        }
        if (CIOConstants.showcaptcha) {
            this.reqBody.data['captcha'] = loginData.Capcha;
        }
        return this._api.post('/rest/1.0/wizards/authentication/' + CIOConstants.currentStep, this.reqBody).map(function (res) {
            return res;
        });
    };
    /**
     * @param {?} loginData
     * @return {?}
     */
    LoginAuthService.prototype.loginWithChallengeQuestions = function (loginData) {
        if (CIOConstants.questions.length >= 0) {
            this.reqBody = {
                step: CIOConstants.currentStep,
                data: {
                    keyStroke: '',
                    loginName: CIOConstants.username,
                    browserFootprint: CIOConstants.browserFields,
                    desktopRegistered: false,
                    remember: false,
                    desktopName: false,
                    password: loginData.Password,
                    answers: [loginData.Answer],
                    questions: CIOConstants.questions,
                }
            };
        }
        else {
            this.reqBody = {
                step: CIOConstants.currentStep,
                data: {
                    keyStroke: '',
                    loginName: CIOConstants.username,
                    browserFootprint: CIOConstants.browserFields,
                    desktopRegistered: false,
                    remember: false,
                    desktopName: false,
                    password: loginData.Password,
                }
            };
        }
        return this._api.post('/rest/1.0/wizards/authentication/' + CIOConstants.currentStep, this.reqBody).map(function (res) {
            return res;
        });
    };
    /**
     * @param {?} loginData
     * @return {?}
     */
    LoginAuthService.prototype.loginWithOTP = function (loginData) {
        this.reqBody = {
            step: CIOConstants.currentStep,
            data: {
                keyStroke: '',
                loginName: CIOConstants.username,
                browserFootprint: CIOConstants.browserFields,
                desktopRegistered: false,
                desktopName: false,
                password: loginData.Password,
                otpPin: loginData.OTP,
                remember: false,
            }
        };
        return this._api.post('/rest/1.0/wizards/authentication/' + CIOConstants.currentStep, this.reqBody).map(function (res) {
            return res;
        });
    };
    /**
     * @param {?} sessionid
     * @return {?}
     */
    LoginAuthService.prototype.postSessions = function (sessionid) {
        this.reqBody = {
            step: CIOConstants.currentStep,
            data: {
                loginName: CIOConstants.username,
                browserFootprint: CIOConstants.browserFields,
                remember: 'true',
                desktopRegistered: 'false',
                desktopName: '',
                uuid: sessionid,
            }
        };
        return this._api.post('/rest/1.0/wizards/authentication/' + CIOConstants.currentStep, this.reqBody).map(function (res) {
            return res;
        });
    };
    /**
     * @return {?}
     */
    LoginAuthService.prototype.getSessions = function () {
        var /** @type {?} */ _apiPath;
        _apiPath = '/rest/1.0/session-manager/active-user/sessions/page/list';
        return this._api.get(_apiPath).map(function (res) {
            return res;
        });
    };
    /**
     * @return {?}
     */
    LoginAuthService.prototype.getchallengeQuestionslist = function () {
        var /** @type {?} */ _apiPath;
        _apiPath = '/rest/1.0/login/challenges/page/list';
        return this._api.get(_apiPath).map(function (res) {
            return res;
        });
    };
    /**
     * @return {?}
     */
    LoginAuthService.prototype.getPredefinedQuestions = function () {
        var /** @type {?} */ _apiPath;
        _apiPath = '/rest/1.0/login/challenges/predefined';
        return this._api.get(_apiPath).map(function (res) {
            return res;
        });
    };
    /**
     * @return {?}
     */
    LoginAuthService.prototype.getAuthFactor = function () {
        var /** @type {?} */ _apiPath;
        _apiPath = '/rest/1.0/login/challenges/auth-factor';
        return this._api.get(_apiPath).map(function (res) {
            return res;
        });
    };
    /**
     * @return {?}
     */
    LoginAuthService.prototype.getChallengeStatus = function () {
        var /** @type {?} */ _apiPath;
        _apiPath = '/rest/1.0/login/challenges/status';
        return this._api.get(_apiPath).map(function (res) {
            return res;
        });
    };
    /**
     * @return {?}
     */
    LoginAuthService.prototype.getCaptchaImage = function () {
        var /** @type {?} */ _apiPath;
        _apiPath = 'https://infinitydev.sungard.com/idp-dev/html5/generate-captcha/'
            + new Date().getTime() + '.jpg';
        return this.http.get(_apiPath)
            .map(function (res) {
            return res.url;
        }).catch(function (err) {
            console.log('getCaptchaImage catch:: ', err);
            return Observable.throw(err);
        });
    };
    /**
     * @return {?}
     */
    LoginAuthService.prototype.logout = function () {
        var /** @type {?} */ _apiPath;
        _apiPath = '/rest/1.0/sessions';
        return this._api.delete(_apiPath).map(function (res) {
            return res.data;
        });
    };
    LoginAuthService.decorators = [
        { type: Injectable },
    ];
    /**
     * @nocollapse
     */
    LoginAuthService.ctorParameters = function () { return [
        { type: CIOAPPApi, },
        { type: Http, },
    ]; };
    return LoginAuthService;
}());

var LoginEffects = /** @class */ (function () {
    /**
     * @param {?} actions$
     * @param {?} store$
     * @param {?} storage
     * @param {?} _authService
     */
    function LoginEffects(actions$, store$, storage, _authService) {
        var _this = this;
        this.actions$ = actions$;
        this.store$ = store$;
        this.storage = storage;
        this._authService = _authService;
        this.load$ = this.actions$
            .ofType(GET_AUTH_META_DATA)
            .switchMap(function (action) {
            return _this._authService.loginMetaData().map(function (data) {
                return new GetAuthMetaDataSucessAction(data);
            });
        });
        this.getSessions$ = this.actions$
            .ofType(GET_SESSION_DATA)
            .switchMap(function (action) {
            return _this._authService.getSessions().map(function (data) {
                return new GetSessionsSucessAction(data);
            });
        });
        this.postSession$ = this.actions$
            .ofType(POST_SESSION_DATA)
            .withLatestFrom(this.store$)
            .switchMap(function (_a) {
            var action = _a[0], state = _a[1];
            var /** @type {?} */ postsessiondata = state.loginModule.postsession;
            return _this._authService.postSessions(postsessiondata).map(function (data) {
                return new PostSessionSuccessAction(data);
            });
        });
        this.submitLoginOTPForm$ = this.actions$
            .ofType(SUBMIT_LOGINFORM_OTP_TYPE)
            .withLatestFrom(this.store$)
            .switchMap(function (_a) {
            var action = _a[0], state = _a[1];
            var /** @type {?} */ loginformData = state.loginModule.loginOtpform;
            return _this._authService.loginWithOTP(loginformData).map(function (data) {
                return new SubmitLoginformOtpSuccessAction(data);
            });
        });
        this.submitLoginMultiForm$ = this.actions$
            .ofType(SUBMIT_MULTICHALLENGE_FORMTYPE)
            .withLatestFrom(this.store$)
            .switchMap(function (_a) {
            var action = _a[0], state = _a[1];
            var /** @type {?} */ loginformData = state.loginModule.loginMultiform;
            return _this._authService.loginWithChallengeQuestions(loginformData).map(function (data) {
                return new SubmitLoginformMultiSuccessAction(data);
            });
        });
        this.submitUserName$ = this.actions$
            .ofType(SUBMIT_USERNAME_TYPE)
            .withLatestFrom(this.store$)
            .switchMap(function (_a) {
            var action = _a[0], state = _a[1];
            var /** @type {?} */ userIdData = state.loginModule.username;
            console.log('userIdData', userIdData);
            return _this._authService.loginWithUserName(userIdData).map(function (data) {
                return new SubmitUsernameSuccessAction(data);
            });
        });
        this.getChallengeQuestions$ = this.actions$
            .ofType(GET_CHALLENGE_DATA)
            .switchMap(function (action) {
            return _this._authService.getchallengeQuestionslist().map(function (data) {
                return new GetChallengeDataSucessAction(data);
            });
        });
        this.getPredefined$ = this.actions$
            .ofType(GET_PREDEFINED_DATA)
            .switchMap(function (action) {
            return _this._authService.getPredefinedQuestions().map(function (data) {
                return new GetPredefinedSucessAction(data);
            });
        });
        this.loadCaptchaImage$ = this.actions$
            .ofType(LOAD_CAPTCHA_IMAGE)
            .switchMap(function (action) {
            return _this._authService.getCaptchaImage().map(function (data) {
                return new LoadCaptchaImageSuccess(data);
            });
        });
        this.getChallengeStatus$ = this.actions$
            .ofType(GET_CHALLENGE_STATUS_DATA)
            .switchMap(function (action) {
            return _this._authService.getChallengeStatus().map(function (data) {
                return new GetChallengeStatusSucessAction(data);
            });
        });
    }
    LoginEffects.decorators = [
        { type: Injectable },
    ];
    /**
     * @nocollapse
     */
    LoginEffects.ctorParameters = function () { return [
        { type: Actions, },
        { type: Store, },
        { type: Storage, },
        { type: LoginAuthService, },
    ]; };
    LoginEffects.propDecorators = {
        'load$': [{ type: Effect },],
        'getSessions$': [{ type: Effect },],
        'postSession$': [{ type: Effect },],
        'submitLoginOTPForm$': [{ type: Effect },],
        'submitLoginMultiForm$': [{ type: Effect },],
        'submitUserName$': [{ type: Effect },],
        'getChallengeQuestions$': [{ type: Effect },],
        'getPredefined$': [{ type: Effect },],
        'loadCaptchaImage$': [{ type: Effect },],
        'getChallengeStatus$': [{ type: Effect },],
    };
    return LoginEffects;
}());

var SharedLoginModule = /** @class */ (function () {
    function SharedLoginModule() {
    }
    SharedLoginModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        IonicModule,
                        EffectsModule.forFeature([LoginEffects]),
                        StoreModule.forFeature('loginModule', reducers),
                    ],
                    declarations: [],
                    providers: [
                        LoginService,
                    ]
                },] },
    ];
    /**
     * @nocollapse
     */
    SharedLoginModule.ctorParameters = function () { return []; };
    return SharedLoginModule;
}());

var AuthService = /** @class */ (function () {
    /**
     * @param {?} _api
     * @param {?} http
     */
    function AuthService(_api, http) {
        this._api = _api;
        this.http = http;
    }
    /**
     * @param {?} loginData
     * @return {?}
     */
    AuthService.prototype.loginWithUserName = function (loginData) {
        this.reqBody = {
            step: CIOConstants.currentStep,
            data: {
                keyStroke: '',
                loginName: loginData.UserName ? loginData.UserName : CIOConstants.username,
                browserFootprint: CIOConstants.browserFields,
                remember: loginData.IsRememberMe,
                desktopRegistered: false,
                desktopName: false,
            }
        };
        if (CIOConstants.currentStep === 'login') {
            this.reqBody.data['password'] = loginData.Password;
        }
        if (CIOConstants.showcaptcha) {
            this.reqBody.data['captcha'] = loginData.Capcha;
        }
        return this._api.post('/rest/1.0/wizards/authentication/' + CIOConstants.currentStep, this.reqBody).map(function (res) {
            return res;
        });
    };
    /**
     * @param {?} loginData
     * @return {?}
     */
    AuthService.prototype.loginWithChallengeQuestions = function (loginData) {
        if (CIOConstants.questions.length >= 0) {
            this.reqBody = {
                step: CIOConstants.currentStep,
                data: {
                    keyStroke: '',
                    loginName: CIOConstants.username,
                    browserFootprint: CIOConstants.browserFields,
                    desktopRegistered: false,
                    remember: false,
                    desktopName: false,
                    password: loginData.Password,
                    answers: [loginData.Answer],
                    questions: CIOConstants.questions,
                }
            };
        }
        else {
            this.reqBody = {
                step: CIOConstants.currentStep,
                data: {
                    keyStroke: '',
                    loginName: CIOConstants.username,
                    browserFootprint: CIOConstants.browserFields,
                    desktopRegistered: false,
                    remember: false,
                    desktopName: false,
                    password: loginData.Password,
                }
            };
        }
        return this._api.post('/rest/1.0/wizards/authentication/' + CIOConstants.currentStep, this.reqBody).map(function (res) {
            return res;
        });
    };
    /**
     * @param {?} loginData
     * @return {?}
     */
    AuthService.prototype.loginWithOTP = function (loginData) {
        this.reqBody = {
            step: CIOConstants.currentStep,
            data: {
                keyStroke: '',
                loginName: CIOConstants.username,
                browserFootprint: CIOConstants.browserFields,
                desktopRegistered: false,
                desktopName: false,
                password: loginData.Password,
                otpPin: loginData.OTP,
                remember: false,
            }
        };
        return this._api.post('/rest/1.0/wizards/authentication/' + CIOConstants.currentStep, this.reqBody).map(function (res) {
            return res;
        });
    };
    /**
     * @param {?} sessionid
     * @return {?}
     */
    AuthService.prototype.postSessions = function (sessionid) {
        this.reqBody = {
            step: CIOConstants.currentStep,
            data: {
                loginName: CIOConstants.username,
                browserFootprint: CIOConstants.browserFields,
                remember: 'true',
                desktopRegistered: 'false',
                desktopName: '',
                uuid: sessionid,
            }
        };
        return this._api.post('/rest/1.0/wizards/authentication/' + CIOConstants.currentStep, this.reqBody).map(function (res) {
            return res;
        });
    };
    /**
     * @return {?}
     */
    AuthService.prototype.loginMetaData = function () {
        var /** @type {?} */ _apiPath;
        _apiPath = '/rest/1.0/wizards/authentication';
        return this._api.get(_apiPath).map(function (res) {
            return res;
        });
    };
    /**
     * @return {?}
     */
    AuthService.prototype.getSessions = function () {
        var /** @type {?} */ _apiPath;
        _apiPath = '/rest/1.0/session-manager/active-user/sessions/page/list';
        return this._api.get(_apiPath).map(function (res) {
            return res;
        });
    };
    /**
     * @return {?}
     */
    AuthService.prototype.getchallengeQuestionslist = function () {
        var /** @type {?} */ _apiPath;
        _apiPath = '/rest/1.0/login/challenges/page/list';
        return this._api.get(_apiPath).map(function (res) {
            return res;
        });
    };
    /**
     * @return {?}
     */
    AuthService.prototype.getPredefinedQuestions = function () {
        var /** @type {?} */ _apiPath;
        _apiPath = '/rest/1.0/login/challenges/predefined';
        return this._api.get(_apiPath).map(function (res) {
            return res;
        });
    };
    /**
     * @return {?}
     */
    AuthService.prototype.getAuthFactor = function () {
        var /** @type {?} */ _apiPath;
        _apiPath = '/rest/1.0/login/challenges/auth-factor';
        return this._api.get(_apiPath).map(function (res) {
            return res;
        });
    };
    /**
     * @return {?}
     */
    AuthService.prototype.getChallengeStatus = function () {
        var /** @type {?} */ _apiPath;
        _apiPath = '/rest/1.0/login/challenges/status';
        return this._api.get(_apiPath).map(function (res) {
            return res;
        });
    };
    /**
     * @return {?}
     */
    AuthService.prototype.troubleSignInMetaData = function () {
        var /** @type {?} */ _apiPath;
        _apiPath = '/rest/1.0/wizards/forgotpassword';
        return this._api.get(_apiPath).map(function (res) {
            return res;
        });
    };
    /**
     * @param {?} data
     * @return {?}
     */
    AuthService.prototype.sendEmailToYourAccount = function (data) {
        if (data.captcha) {
            this.reqBody = {
                step: data.username,
                data: {
                    issueType: data.issueType,
                    emailOrLoginID: data.emailOrLoginID,
                    captcha: data.captcha
                }
            };
        }
        else {
            this.reqBody = {
                step: data.username,
                data: {
                    issueType: data.issueType,
                    emailOrLoginID: data.emailOrLoginID
                }
            };
        }
        var /** @type {?} */ _apiPath;
        _apiPath = '/rest/1.0/wizards/forgotpassword/username';
        return this._api.post(_apiPath, this.reqBody)
            .map(function (res) {
            console.log('sendEmailToAccount :: ', res);
            return res;
        }).catch(function (err) {
            console.log('sendEmailToAccount catch:: ', err);
            return Observable.throw(err);
        });
    };
    /**
     * @param {?} questionsData
     * @return {?}
     */
    AuthService.prototype.sendEmailForChallengeQuestions = function (questionsData) {
        this.reqBody = {
            step: questionsData.type,
            data: {
                issueType: questionsData.issueType,
                emailOrLoginID: questionsData.emailOrLoginID,
                questions: [questionsData.questions],
                answers: [questionsData.answers],
            }
        };
        var /** @type {?} */ _apiPath;
        _apiPath = '/rest/1.0/wizards/forgotpassword/questions';
        return this._api.post(_apiPath, this.reqBody)
            .map(function (res) {
            console.log('Auth Service res :: ' + res);
            return res;
        }).catch(function (err) {
            console.log('sendEmailForChallengeQuestions catch:: ', err);
            return Observable.throw(err);
        });
    };
    /**
     * @param {?} otpData
     * @return {?}
     */
    AuthService.prototype.sendEmailForOTP = function (otpData) {
        this.reqBody = {
            step: otpData.password,
            data: {
                issueType: otpData.issueType,
                emailOrLoginID: otpData.emailOrLoginID,
                issueSubType: otpData.issueSubType,
                password: otpData.passwordValue
            }
        };
        var /** @type {?} */ _apiPath;
        _apiPath = '/rest/1.0/wizards/forgotpassword/password';
        return this._api.post(_apiPath, this.reqBody)
            .map(function (res) {
            return res;
        }).catch(function (err) {
            console.log('sendEmailForOTP catch:: ', err);
            return Observable.throw(err);
        });
    };
    /**
     * @return {?}
     */
    AuthService.prototype.getCaptchaImage = function () {
        var /** @type {?} */ _apiPath;
        _apiPath = 'https://infinitydev.sungard.com/idp-dev/html5/generate-captcha/'
            + new Date().getTime() + '.jpg';
        return this.http.get(_apiPath)
            .map(function (res) {
            return res.url;
        }).catch(function (err) {
            console.log('getCaptchaImage catch:: ', err);
            return Observable.throw(err);
        });
    };
    /**
     * @return {?}
     */
    AuthService.prototype.logout = function () {
        var /** @type {?} */ _apiPath;
        _apiPath = '/rest/1.0/sessions';
        return this._api.delete(_apiPath).map(function (res) {
            return res.data;
        });
    };
    AuthService.decorators = [
        { type: Injectable },
    ];
    /**
     * @nocollapse
     */
    AuthService.ctorParameters = function () { return [
        { type: CIOAPPApi, },
        { type: Http, },
    ]; };
    return AuthService;
}());

/**
 * @param {?} xhrBackend
 * @param {?} requestOptions
 * @return {?}
 */
function createCioAppApi(xhrBackend, requestOptions) {
    'use strict';
    //requestOptions.withCredentials = true;
    var /** @type {?} */ ngHttp = new Http(xhrBackend, requestOptions);
    return new CIOAPPApi(ngHttp, "https://infinitydev.sungard.com/idp-dev/html5");
}
var CoreModule = /** @class */ (function () {
    /**
     * @param {?} parentModule
     */
    function CoreModule(parentModule) {
        if (parentModule) {
            throw new Error('CoreModule is already loaded. Import it in the AppModule only');
        }
    }
    CoreModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        HttpModule,
                    ],
                    declarations: [],
                    providers: [
                        {
                            provide: CIOAPPApi,
                            useFactory: createCioAppApi,
                            deps: [XHRBackend, RequestOptions],
                        },
                        LoginAuthService,
                        AuthService,
                        NextPage,
                    ],
                    exports: [],
                },] },
    ];
    /**
     * @nocollapse
     */
    CoreModule.ctorParameters = function () { return [
        { type: CoreModule, decorators: [{ type: Optional }, { type: SkipSelf },] },
    ]; };
    return CoreModule;
}());

//Pages 
//Components
//Common Components
// libs  
var SampleModule = /** @class */ (function () {
    function SampleModule() {
    }
    /**
     * @return {?}
     */
    SampleModule.forRoot = function () {
        return {
            ngModule: SampleModule,
        };
    };
    SampleModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        IonicModule,
                        CoreModule,
                        SharedLoginModule,
                        EffectsModule.forFeature([LoginEffects]),
                        StoreModule.forFeature('loginModule', reducers),
                        IonicStorageModule.forRoot(),
                    ],
                    declarations: [
                        LoginPage,
                        SessionsPage,
                        ContentPage,
                        OTPComponent,
                        UsernameComponent,
                        MultiChallengeComponent,
                        InitComponent,
                        HeaderComponent,
                        ContentComponent,
                        CioLoadingIndicatorComponent,
                    ],
                    exports: [
                        LoginPage,
                        SessionsPage,
                        ContentPage,
                        OTPComponent,
                        UsernameComponent,
                        MultiChallengeComponent,
                        InitComponent,
                        HeaderComponent,
                        ContentComponent,
                        CioLoadingIndicatorComponent,
                    ],
                    entryComponents: [
                        LoginPage,
                        SessionsPage,
                        ContentPage,
                        OTPComponent,
                        UsernameComponent,
                        MultiChallengeComponent,
                        InitComponent,
                        HeaderComponent,
                        ContentComponent,
                        CioLoadingIndicatorComponent,
                    ],
                    providers: [
                        LoginService,
                    ]
                },] },
    ];
    /**
     * @nocollapse
     */
    SampleModule.ctorParameters = function () { return []; };
    return SampleModule;
}());

export { SampleModule, SharedLoginModule, LoginAuthService, NextPage, LoginEffects, reducers, getLoginState, getauthMetaData, getLoginOtpFormStatus, getUsername, getLoading, getpostSessionData, getsessionsData, getPredefinedData, getChallengeQuestionsData, getChallengeStatus, getCaptchaImage, getLoggedUserId, getLoginMultiFormStatus, LoginService };
